diff --git a/lib/libc/i386/gen/_ctx_start.S b/lib/libc/i386/gen/_ctx_start.S
index 714b23e..4c8e320 100644
--- a/lib/libc/i386/gen/_ctx_start.S
+++ b/lib/libc/i386/gen/_ctx_start.S
@@ -24,7 +24,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/_ctx_start.S,v 1.3.8.1 2006/07/05 12:43:13 kib Exp $
- * $DragonFly: src/lib/libc/i386/gen/_ctx_start.S,v 1.1 2007/01/16 07:16:23 dillon Exp $
  */
 
 #include <machine/asm.h>
@@ -68,3 +67,4 @@ ENTRY(_ctx_start)
 	call	PIC_PLT(_ctx_done)	/* should never return */
 	call	PIC_PLT(abort)		/* fubar */
 	ret
+END(_ctx_start)
diff --git a/lib/libc/i386/gen/_setjmp.S b/lib/libc/i386/gen/_setjmp.S
index 2fa70c3..01f6d79 100644
--- a/lib/libc/i386/gen/_setjmp.S
+++ b/lib/libc/i386/gen/_setjmp.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/_setjmp.S,v 1.12 2000/01/20 21:58:26 jasone Exp $
- * $DragonFly: src/lib/libc/i386/gen/_setjmp.S,v 1.4 2005/01/31 22:29:24 dillon Exp $
  */
 
 /*
@@ -61,6 +60,7 @@ ENTRY(_setjmp)
 	fnstcw	24(%eax)
 	xorl	%eax,%eax
 	ret
+END(_setjmp)
 
 	.weak	CNAME(_longjmp)
 	.set	CNAME(_longjmp),CNAME(___longjmp)
@@ -80,3 +80,4 @@ ENTRY(___longjmp)
 	incl	%eax
 1:	movl	%ecx,0(%esp)
 	ret
+END(___longjmp)
diff --git a/lib/libc/i386/gen/alloca.S b/lib/libc/i386/gen/alloca.S
index 6b7bf27..69dbb1f 100644
--- a/lib/libc/i386/gen/alloca.S
+++ b/lib/libc/i386/gen/alloca.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/alloca.S,v 1.5.2.1 2001/03/05 09:58:04 obrien Exp $
- * $DragonFly: src/lib/libc/i386/gen/alloca.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 /* like alloc, but automatic automatic free in return */
@@ -54,3 +53,4 @@ ENTRY(alloca)
 	pushl	0(%ecx)
 	pushl	%eax		/* dummy to pop at callsite */
 	jmp	*%edx		/* "return" */
+END(alloca)
diff --git a/lib/libc/i386/gen/fabs.S b/lib/libc/i386/gen/fabs.S
index a86a5b7..f039424 100644
--- a/lib/libc/i386/gen/fabs.S
+++ b/lib/libc/i386/gen/fabs.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/fabs.S,v 1.5 1999/08/27 23:59:20 peter Exp $
- * $DragonFly: src/lib/libc/i386/gen/fabs.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -43,3 +42,4 @@ ENTRY(fabs)
 	fldl	4(%esp)
 	fabs
 	ret
+END(fabs)
diff --git a/lib/libc/i386/gen/flt_rounds.S b/lib/libc/i386/gen/flt_rounds.S
index 4f49c3e..4810d01 100644
--- a/lib/libc/i386/gen/flt_rounds.S
+++ b/lib/libc/i386/gen/flt_rounds.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: flt_rounds.S,v 1.6 1999/08/23 08:45:09 kleink Exp $
- * $DragonFly: src/lib/libc/i386/gen/flt_rounds.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -31,3 +30,4 @@ ENTRY(__flt_rounds)
 #endif
 	addl $4,%esp
 	ret
+END(__flt_rounds)
diff --git a/lib/libc/i386/gen/fpgetmask.S b/lib/libc/i386/gen/fpgetmask.S
index aa9c432..27a9351 100644
--- a/lib/libc/i386/gen/fpgetmask.S
+++ b/lib/libc/i386/gen/fpgetmask.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: fpgetmask.S,v 1.4 2002/01/13 21:45:42 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpgetmask.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -21,3 +20,8 @@ ENTRY(fpgetmask)
 	andl $63,%eax
 	addl $4,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetmask)
+#else
+END(fpgetmask)
+#endif
diff --git a/lib/libc/i386/gen/fpgetround.S b/lib/libc/i386/gen/fpgetround.S
index 3a7f9a7..bf25c4a 100644
--- a/lib/libc/i386/gen/fpgetround.S
+++ b/lib/libc/i386/gen/fpgetround.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: fpgetround.S,v 1.5 2002/01/13 21:45:43 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpgetround.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -21,3 +20,8 @@ ENTRY(fpgetround)
 	andl $3,%eax
 	addl $4,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetround)
+#else
+END(fpgetround)
+#endif
diff --git a/lib/libc/i386/gen/fpgetsticky.S b/lib/libc/i386/gen/fpgetsticky.S
index a6285dc..f79eb9e 100644
--- a/lib/libc/i386/gen/fpgetsticky.S
+++ b/lib/libc/i386/gen/fpgetsticky.S
@@ -2,7 +2,6 @@
  * Written by J.T. Conklin, Apr 4, 1995
  * Public domain.
  * $NetBSD: fpgetsticky.S,v 1.6 2002/01/13 21:45:43 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpgetsticky.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -19,3 +18,8 @@ ENTRY(fpgetsticky)
 	andl $63,%eax
 	addl $4,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetsticky)
+#else
+END(fpgetsticky)
+#endif
diff --git a/lib/libc/i386/gen/fpsetmask.S b/lib/libc/i386/gen/fpsetmask.S
index ad8278c..cd94766 100644
--- a/lib/libc/i386/gen/fpsetmask.S
+++ b/lib/libc/i386/gen/fpsetmask.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: fpsetmask.S,v 1.4 2002/01/13 21:45:43 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpsetmask.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -32,3 +31,8 @@ ENTRY(fpsetmask)
 
 	addl $4,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetmask)
+#else
+END(fpsetmask)
+#endif
diff --git a/lib/libc/i386/gen/fpsetround.S b/lib/libc/i386/gen/fpsetround.S
index 24f63d8..3e33c44 100644
--- a/lib/libc/i386/gen/fpsetround.S
+++ b/lib/libc/i386/gen/fpsetround.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: fpsetround.S,v 1.3 2002/01/13 21:45:43 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpsetround.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -33,3 +32,8 @@ ENTRY(fpsetround)
 
 	addl $4,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetround)
+#else
+END(fpsetround)
+#endif
diff --git a/lib/libc/i386/gen/fpsetsticky.S b/lib/libc/i386/gen/fpsetsticky.S
index 58b7b7e..d8f218c 100644
--- a/lib/libc/i386/gen/fpsetsticky.S
+++ b/lib/libc/i386/gen/fpsetsticky.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: fpsetsticky.S,v 1.6 2002/01/13 21:45:43 thorpej Exp $
- * $DragonFly: src/lib/libc/i386/gen/fpsetsticky.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -31,3 +30,8 @@ ENTRY(fpsetsticky)
 
 	addl $28,%esp
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetsticky)
+#else
+END(fpsetsticky)
+#endif
diff --git a/lib/libc/i386/gen/mcontext.S b/lib/libc/i386/gen/mcontext.S
index ee3500e..b6bff30 100644
--- a/lib/libc/i386/gen/mcontext.S
+++ b/lib/libc/i386/gen/mcontext.S
@@ -24,8 +24,6 @@
  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $DragonFly: src/lib/libc/i386/gen/mcontext.S,v 1.2 2007/04/13 12:12:27 corecode Exp $
  */
 
 #include <machine/asm.h>
@@ -96,6 +94,7 @@ ENTRY(_get_mcontext)
 	 */
 	xorl	%eax,%eax
 	ret
+END(_get_mcontext)
 
 
 	/*
@@ -150,3 +149,4 @@ ENTRY(_set_mcontext)
 	 */
 	movl	12*4(%eax),%eax
 	ret
+END(_set_mcontext)
diff --git a/lib/libc/i386/gen/modf.S b/lib/libc/i386/gen/modf.S
index 98d44a7..55f996a 100644
--- a/lib/libc/i386/gen/modf.S
+++ b/lib/libc/i386/gen/modf.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/modf.S,v 1.6 1999/08/27 23:59:22 peter Exp $
- * $DragonFly: src/lib/libc/i386/gen/modf.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 /*
@@ -73,3 +72,4 @@ ENTRY(modf)
 L1:
 	leave
 	ret
+END(modf)
diff --git a/lib/libc/i386/gen/rfork_thread.S b/lib/libc/i386/gen/rfork_thread.S
index f694ee0..a911db8 100644
--- a/lib/libc/i386/gen/rfork_thread.S
+++ b/lib/libc/i386/gen/rfork_thread.S
@@ -24,7 +24,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/rfork_thread.S,v 1.2.2.1 2001/02/07 00:12:45 peter Exp $
- * $DragonFly: src/lib/libc/i386/gen/rfork_thread.S,v 1.3 2004/04/05 05:31:58 dillon Exp $
  */
 
 /*
@@ -115,3 +114,4 @@ ENTRY(rfork_thread)
 	popl	%ebp
 	PIC_PROLOGUE
 	jmp	PIC_PLT(HIDENAME(cerror))
+END(rfork_thread)
diff --git a/lib/libc/i386/gen/setjmp.S b/lib/libc/i386/gen/setjmp.S
index e3dcc48..a4d92dc 100644
--- a/lib/libc/i386/gen/setjmp.S
+++ b/lib/libc/i386/gen/setjmp.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/setjmp.S,v 1.17.2.2 2001/07/06 12:41:44 deischen Exp $
- * $DragonFly: src/lib/libc/i386/gen/setjmp.S,v 1.4 2005/01/31 22:29:24 dillon Exp $
  */
 
 /*
@@ -71,6 +70,7 @@ ENTRY(setjmp)
 	fnstcw	24(%ecx)
 	xorl	%eax,%eax
 	ret
+END(setjmp)
 
 	.weak CNAME(longjmp);
 	.set CNAME(longjmp),CNAME(__longjmp);
@@ -99,3 +99,4 @@ ENTRY(__longjmp)
 	incl	%eax
 1:	movl	%ecx,0(%esp)
 	ret
+END(__longjmp)
diff --git a/lib/libc/i386/gen/sigsetjmp.S b/lib/libc/i386/gen/sigsetjmp.S
index 919f424..9051079 100644
--- a/lib/libc/i386/gen/sigsetjmp.S
+++ b/lib/libc/i386/gen/sigsetjmp.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/gen/sigsetjmp.S,v 1.19.2.2 2001/07/06 12:41:44 deischen Exp $
- * $DragonFly: src/lib/libc/i386/gen/sigsetjmp.S,v 1.4 2005/01/31 22:29:24 dillon Exp $
  */
 
 #include "DEFS.h"
@@ -77,6 +76,7 @@ ENTRY(sigsetjmp)
 	fnstcw	24(%ecx)
 	xorl	%eax,%eax
 	ret
+END(sigsetjmp)
 
 	.weak CNAME(siglongjmp);
 	.set CNAME(siglongjmp),CNAME(__siglongjmp);
@@ -107,3 +107,4 @@ ENTRY(__siglongjmp);
 	incl	%eax
 1:	movl	%ecx,0(%esp)
 	ret
+END(__siglongjmp);
diff --git a/lib/libc/i386/stdlib/abs.S b/lib/libc/i386/stdlib/abs.S
index 9afe563..2a3efef 100644
--- a/lib/libc/i386/stdlib/abs.S
+++ b/lib/libc/i386/stdlib/abs.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/stdlib/abs.S,v 1.6 1999/08/27 23:59:27 peter Exp $
- * $DragonFly: src/lib/libc/i386/stdlib/abs.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -45,3 +44,4 @@ ENTRY(abs)
 	jns	1f
 	negl	%eax
 1:	ret
+END(abs)
diff --git a/lib/libc/i386/stdlib/div.S b/lib/libc/i386/stdlib/div.S
index d3f1cd9..9fb7476 100644
--- a/lib/libc/i386/stdlib/div.S
+++ b/lib/libc/i386/stdlib/div.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/stdlib/div.S,v 1.4 1999/08/27 23:59:27 peter Exp $
- * $DragonFly: src/lib/libc/i386/stdlib/div.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -41,3 +40,4 @@ ENTRY(div)
         movl    %eax,4(%esp)
         movl    %edx,8(%esp)
         ret
+END(div)
diff --git a/lib/libc/i386/stdlib/labs.S b/lib/libc/i386/stdlib/labs.S
index ae8938c..082b438 100644
--- a/lib/libc/i386/stdlib/labs.S
+++ b/lib/libc/i386/stdlib/labs.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/stdlib/labs.S,v 1.6 1999/08/27 23:59:27 peter Exp $
- * $DragonFly: src/lib/libc/i386/stdlib/labs.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -45,3 +44,4 @@ ENTRY(labs)
 	jns	1f
 	negl	%eax
 1:	ret
+END(labs)
diff --git a/lib/libc/i386/stdlib/ldiv.S b/lib/libc/i386/stdlib/ldiv.S
index 53b2c47..c03a77f 100644
--- a/lib/libc/i386/stdlib/ldiv.S
+++ b/lib/libc/i386/stdlib/ldiv.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/stdlib/ldiv.S,v 1.4 1999/08/27 23:59:28 peter Exp $
- * $DragonFly: src/lib/libc/i386/stdlib/ldiv.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -41,3 +40,4 @@ ENTRY(ldiv)
         movl    %eax,4(%esp)
         movl    %edx,8(%esp)
         ret
+END(ldiv)
diff --git a/lib/libc/i386/string/bcmp.S b/lib/libc/i386/string/bcmp.S
index 766503f..ad19317 100644
--- a/lib/libc/i386/string/bcmp.S
+++ b/lib/libc/i386/string/bcmp.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/bcmp.S,v 1.5 1999/08/27 23:59:29 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/bcmp.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -64,3 +63,4 @@ L1:	incl	%eax
 L2:	popl	%esi
 	popl	%edi
 	ret
+END(bcmp)
diff --git a/lib/libc/i386/string/bcopy.S b/lib/libc/i386/string/bcopy.S
index 4edb480..46ab7e2 100644
--- a/lib/libc/i386/string/bcopy.S
+++ b/lib/libc/i386/string/bcopy.S
@@ -34,7 +34,6 @@
  */
 
 /* $FreeBSD: src/lib/libc/i386/string/bcopy.S,v 1.6.6.2 2002/11/07 19:35:25 sobomax Exp $ */
-/* $DragonFly: src/lib/libc/i386/string/bcopy.S,v 1.2 2003/06/17 04:26:43 dillon Exp $ */
 
 #include <machine/asm.h>
 
@@ -101,3 +100,12 @@ ENTRY(bcopy)
 	popl	%esi
 	cld
 	ret
+#ifdef MEMCOPY
+END(memcpy)
+#else
+#ifdef MEMMOVE
+END(memmove)
+#else
+END(bcopy)
+#endif
+#endif
diff --git a/lib/libc/i386/string/bzero.S b/lib/libc/i386/string/bzero.S
index 671cab3..9df3329 100644
--- a/lib/libc/i386/string/bzero.S
+++ b/lib/libc/i386/string/bzero.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/bzero.S,v 1.5 1999/08/27 23:59:30 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/bzero.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -81,3 +80,4 @@ L1:	rep
 	popl	%ebx
 	popl	%edi
 	ret
+END(bzero)
diff --git a/lib/libc/i386/string/ffs.S b/lib/libc/i386/string/ffs.S
index 2a7e72a..ceecf81 100644
--- a/lib/libc/i386/string/ffs.S
+++ b/lib/libc/i386/string/ffs.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/ffs.S,v 1.5 1999/08/27 23:59:30 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/ffs.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -57,3 +56,8 @@ ENTRY(ffs)
 	.align 2
 L1:	xorl	%eax,%eax		/* clear result */
 	ret
+#ifdef FFSL
+END(ffsl)
+#else
+END(ffs)
+#endif
diff --git a/lib/libc/i386/string/fls.S b/lib/libc/i386/string/fls.S
index 8c02c9f..574566a 100644
--- a/lib/libc/i386/string/fls.S
+++ b/lib/libc/i386/string/fls.S
@@ -44,3 +44,8 @@ ENTRY(fls)
 
 L1:	xorl	%eax, %eax
 	ret
+#ifdef FLSL
+END(flsl)
+#else
+END(fls)
+#endif
diff --git a/lib/libc/i386/string/index.S b/lib/libc/i386/string/index.S
index 95a920e..13c8ef9 100644
--- a/lib/libc/i386/string/index.S
+++ b/lib/libc/i386/string/index.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/index.S,v 1.5 1999/08/27 23:59:30 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/index.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -63,3 +62,4 @@ L1:
 L2:
 	popl	%ebx
 	ret
+END(index)
diff --git a/lib/libc/i386/string/memchr.S b/lib/libc/i386/string/memchr.S
index 70c0816..cc2b4f1 100644
--- a/lib/libc/i386/string/memchr.S
+++ b/lib/libc/i386/string/memchr.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/memchr.S,v 1.8 1999/08/27 23:59:31 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/memchr.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -58,3 +57,4 @@ ENTRY(memchr)
 L1:	xorl	%eax,%eax
 	popl	%edi
 	ret
+END(memchr)
diff --git a/lib/libc/i386/string/memcmp.S b/lib/libc/i386/string/memcmp.S
index 5e44322..84e547c 100644
--- a/lib/libc/i386/string/memcmp.S
+++ b/lib/libc/i386/string/memcmp.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/memcmp.S,v 1.5 1999/08/27 23:59:32 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/memcmp.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -75,3 +74,4 @@ L6:	movzbl  -1(%edi),%eax		/* Perform unsigned comparison	*/
 	popl	%esi
 	popl	%edi
 	ret
+END(memcmp)
diff --git a/lib/libc/i386/string/memset.S b/lib/libc/i386/string/memset.S
index 156a684..a1be8ec 100644
--- a/lib/libc/i386/string/memset.S
+++ b/lib/libc/i386/string/memset.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/memset.S,v 1.5 1999/08/27 23:59:32 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/memset.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -89,3 +88,4 @@ L1:	rep
 	popl	%ebx
 	popl	%edi
 	ret
+END(memset)
diff --git a/lib/libc/i386/string/rindex.S b/lib/libc/i386/string/rindex.S
index 0b3b2f5..119ffcf5 100644
--- a/lib/libc/i386/string/rindex.S
+++ b/lib/libc/i386/string/rindex.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/rindex.S,v 1.5 1999/08/27 23:59:32 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/rindex.S,v 1.3 2003/12/06 03:11:35 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -64,3 +63,4 @@ L2:
 	jne	L1
 	popl	%ebx
 	ret
+END(rindex)
diff --git a/lib/libc/i386/string/strcat.S b/lib/libc/i386/string/strcat.S
index f6fe953..9610c69 100644
--- a/lib/libc/i386/string/strcat.S
+++ b/lib/libc/i386/string/strcat.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strcat.S,v 1.5 1999/08/27 23:59:33 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strcat.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -100,3 +99,4 @@ L1:	movb	(%edx),%al		/* unroll loop, but not too much */
 L2:	popl	%eax			/* pop destination address */
 	popl	%edi			/* restore edi */
 	ret
+END(strcat)
diff --git a/lib/libc/i386/string/strchr.S b/lib/libc/i386/string/strchr.S
index 1b81e0e..7217f1d 100644
--- a/lib/libc/i386/string/strchr.S
+++ b/lib/libc/i386/string/strchr.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strchr.S,v 1.5 1999/08/27 23:59:33 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strchr.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -63,3 +62,4 @@ L1:
 L2:
 	popl	%ebx
 	ret
+END(strchr)
diff --git a/lib/libc/i386/string/strcmp.S b/lib/libc/i386/string/strcmp.S
index 6c89fe6..10c0729 100644
--- a/lib/libc/i386/string/strcmp.S
+++ b/lib/libc/i386/string/strcmp.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strcmp.S,v 1.5 1999/08/27 23:59:33 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strcmp.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -119,3 +118,4 @@ L3:     movzbl  (%eax),%eax             /* unsigned comparison */
 	movzbl  (%edx),%edx
 	subl	%edx,%eax
 	ret
+END(strcmp)
diff --git a/lib/libc/i386/string/strcpy.S b/lib/libc/i386/string/strcpy.S
index 63e68e1..c986735 100644
--- a/lib/libc/i386/string/strcpy.S
+++ b/lib/libc/i386/string/strcpy.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strcpy.S,v 1.5 1999/08/27 23:59:34 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strcpy.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -89,3 +88,4 @@ L1:	movb	(%edx),%al		/* unroll loop, but not too much */
 	jne	L1
 L2:	popl	%eax			/* pop dst address */
 	ret
+END(strcpy)
diff --git a/lib/libc/i386/string/strlen.S b/lib/libc/i386/string/strlen.S
index 506ea7d..1a1f348 100644
--- a/lib/libc/i386/string/strlen.S
+++ b/lib/libc/i386/string/strlen.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strlen.S,v 1.5 1999/08/27 23:59:34 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strlen.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -53,3 +52,4 @@ ENTRY(strlen)
 	leal	-1(%ecx),%eax		/* and subtracting one */
 	popl	%edi
 	ret
+END(strlen)
diff --git a/lib/libc/i386/string/strncmp.S b/lib/libc/i386/string/strncmp.S
index f2d858c..80b101a 100644
--- a/lib/libc/i386/string/strncmp.S
+++ b/lib/libc/i386/string/strncmp.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strncmp.S,v 1.6 1999/08/27 23:59:35 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strncmp.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -166,3 +165,4 @@ L3:	movzbl	(%eax),%eax		/* unsigned comparison */
 L4:	xorl	%eax,%eax
 	popl	%ebx
 	ret
+END(strncmp)
diff --git a/lib/libc/i386/string/strrchr.S b/lib/libc/i386/string/strrchr.S
index e8b3cf1..45548af 100644
--- a/lib/libc/i386/string/strrchr.S
+++ b/lib/libc/i386/string/strrchr.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/strrchr.S,v 1.5 1999/08/27 23:59:35 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/strrchr.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -64,3 +63,4 @@ L2:
 	jne	L1
 	popl	%ebx
 	ret
+END(strrchr)
diff --git a/lib/libc/i386/string/swab.S b/lib/libc/i386/string/swab.S
index 6c80339..a145200 100644
--- a/lib/libc/i386/string/swab.S
+++ b/lib/libc/i386/string/swab.S
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/string/swab.S,v 1.5 1999/08/27 23:59:35 peter Exp $
- * $DragonFly: src/lib/libc/i386/string/swab.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -99,3 +98,4 @@ L3:	lodsw
 L4:	popl	%edi
 	popl	%esi
 	ret
+END(swab)
diff --git a/lib/libc/i386/sys/Ovfork.S b/lib/libc/i386/sys/Ovfork.S
index 2619fa1..8bdd194 100644
--- a/lib/libc/i386/sys/Ovfork.S
+++ b/lib/libc/i386/sys/Ovfork.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/sys/Ovfork.S,v 1.11.2.1 2002/10/15 19:46:46 fjoe Exp $
- * $DragonFly: src/lib/libc/i386/sys/Ovfork.S,v 1.4 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "DEFS.h"
@@ -66,3 +65,8 @@ ENTRY(vfork)
 	pushl	%ecx
 	PIC_PROLOGUE
 	jmp     PIC_PLT(HIDENAME(cerror))
+#ifdef _THREAD_SAFE
+END(__sys_vfork)
+#else
+END(vfork)
+#endif
diff --git a/lib/libc/i386/sys/getcontext.S b/lib/libc/i386/sys/getcontext.S
index 6b56160..8cb5412 100644
--- a/lib/libc/i386/sys/getcontext.S
+++ b/lib/libc/i386/sys/getcontext.S
@@ -30,8 +30,6 @@
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- * 
- * $DragonFly: src/lib/libc/i386/sys/getcontext.S,v 1.2 2007/02/04 20:28:21 corecode Exp $
  */
 
 #include <machine/asm.h>
@@ -90,3 +88,4 @@ ENTRY(_getcontext)
 1:
 	PIC_PROLOGUE
 	jmp	PIC_PLT(HIDENAME(cerror))
+END(_getcontext)
diff --git a/lib/libc/i386/sys/syscall.S b/lib/libc/i386/sys/syscall.S
index 3f983bc..41b9869 100644
--- a/lib/libc/i386/sys/syscall.S
+++ b/lib/libc/i386/sys/syscall.S
@@ -34,7 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libc/i386/sys/syscall.S,v 1.6 1999/08/27 23:59:46 peter Exp $
- * $DragonFly: src/lib/libc/i386/sys/syscall.S,v 1.3 2003/12/06 03:11:36 drhodus Exp $
  */
 
 #include "SYS.h"
@@ -51,3 +50,4 @@ ENTRY(syscall)
 1:
 	PIC_PROLOGUE
 	jmp	PIC_PLT(HIDENAME(cerror))
+END(syscall)
diff --git a/lib/libc/x86_64/gen/fpgetmask.S b/lib/libc/x86_64/gen/fpgetmask.S
index 589818e..2fe4385 100644
--- a/lib/libc/x86_64/gen/fpgetmask.S
+++ b/lib/libc/x86_64/gen/fpgetmask.S
@@ -24,3 +24,8 @@ ENTRY(fpgetmask)
 	notl %eax
 	andl $63,%eax
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetmask)
+#else
+END(fpgetmask)
+#endif
diff --git a/lib/libc/x86_64/gen/fpgetround.S b/lib/libc/x86_64/gen/fpgetround.S
index 1a08850..416c083 100644
--- a/lib/libc/x86_64/gen/fpgetround.S
+++ b/lib/libc/x86_64/gen/fpgetround.S
@@ -23,3 +23,8 @@ ENTRY(fpgetround)
 	rorl $10,%eax
 	andl $3,%eax
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetround)
+#else
+END(fpgetround)
+#endif
diff --git a/lib/libc/x86_64/gen/fpgetsticky.S b/lib/libc/x86_64/gen/fpgetsticky.S
index 76ffeb3..1191bc7 100644
--- a/lib/libc/x86_64/gen/fpgetsticky.S
+++ b/lib/libc/x86_64/gen/fpgetsticky.S
@@ -24,3 +24,8 @@ ENTRY(fpgetsticky)
 	orl	-8(%rsp),%eax
 	andl	$63,%eax
 	ret
+#ifdef WEAK_ALIAS
+END(_fpgetsticky)
+#else
+END(fpgetsticky)
+#endif
diff --git a/lib/libc/x86_64/gen/fpsetmask.S b/lib/libc/x86_64/gen/fpsetmask.S
index 42476f9..dfedd1f 100644
--- a/lib/libc/x86_64/gen/fpsetmask.S
+++ b/lib/libc/x86_64/gen/fpsetmask.S
@@ -39,3 +39,8 @@ ENTRY(fpsetmask)
 	ldmxcsr	-8(%rsp)
 	andl	$63,%eax
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetmask)
+#else
+END(fpsetmask)
+#endif
diff --git a/lib/libc/x86_64/gen/fpsetround.S b/lib/libc/x86_64/gen/fpsetround.S
index 43d7e50..42ec321 100644
--- a/lib/libc/x86_64/gen/fpsetround.S
+++ b/lib/libc/x86_64/gen/fpsetround.S
@@ -46,3 +46,8 @@ ENTRY(fpsetround)
 	ldmxcsr	-8(%rsp)
 	fldcw	-4(%rsp)
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetround)
+#else
+END(fpsetround)
+#endif
diff --git a/lib/libc/x86_64/gen/fpsetsticky.S b/lib/libc/x86_64/gen/fpsetsticky.S
index 1659045..5d14109 100644
--- a/lib/libc/x86_64/gen/fpsetsticky.S
+++ b/lib/libc/x86_64/gen/fpsetsticky.S
@@ -43,3 +43,8 @@ ENTRY(fpsetsticky)
 	ldmxcsr	-32(%rsp)
 	fldenv	-28(%rsp)
 	ret
+#ifdef WEAK_ALIAS
+END(_fpsetsticky)
+#else
+END(fpsetsticky)
+#endif
diff --git a/lib/libc/x86_64/gen/mcontext.S b/lib/libc/x86_64/gen/mcontext.S
index ea31674..a4c12fc 100644
--- a/lib/libc/x86_64/gen/mcontext.S
+++ b/lib/libc/x86_64/gen/mcontext.S
@@ -96,6 +96,7 @@ ENTRY(_get_mcontext)
 	 */
 	subq	%rax,%rax
 	ret
+END(_get_mcontext)
 
 
 	/*
@@ -153,4 +154,4 @@ ENTRY(_set_mcontext)
 	movq	MC_RAX(%rdi),%rax
 	movq	MC_RDI(%rdi),%rdi
 	retq
-
+END(_set_mcontext)
diff --git a/lib/libc/x86_64/string/ffs.S b/lib/libc/x86_64/string/ffs.S
index 184f141..ee057ec 100644
--- a/lib/libc/x86_64/string/ffs.S
+++ b/lib/libc/x86_64/string/ffs.S
@@ -38,3 +38,4 @@ ENTRY(ffs)
 	cmovzl	%ecx, %eax
 	addl	$1, %eax
 	ret
+END(ffs)
diff --git a/lib/libc/x86_64/string/ffsl.S b/lib/libc/x86_64/string/ffsl.S
index 0cdff5a..1cd3b58 100644
--- a/lib/libc/x86_64/string/ffsl.S
+++ b/lib/libc/x86_64/string/ffsl.S
@@ -38,3 +38,4 @@ ENTRY(ffsl)
 	cmovzq	%rcx, %rax
 	addq	$1, %rax
 	ret
+END(ffsl)
diff --git a/lib/libc/x86_64/string/fls.S b/lib/libc/x86_64/string/fls.S
index e6243a8..4cb93e4 100644
--- a/lib/libc/x86_64/string/fls.S
+++ b/lib/libc/x86_64/string/fls.S
@@ -38,3 +38,4 @@ ENTRY(fls)
 	cmovzl	%ecx, %eax
 	addl	$1, %eax
 	ret
+END(fls)
diff --git a/lib/libc/x86_64/string/flsl.S b/lib/libc/x86_64/string/flsl.S
index 8926473..f6bb81f 100644
--- a/lib/libc/x86_64/string/flsl.S
+++ b/lib/libc/x86_64/string/flsl.S
@@ -38,3 +38,4 @@ ENTRY(flsl)
 	cmovzq	%rcx, %rax
 	addq	$1, %rax
 	ret
+END(flsl)
diff --git a/lib/libc_r/arch/i386/_atomic_lock.S b/lib/libc_r/arch/i386/_atomic_lock.S
index a6eabf3..16621f5 100644
--- a/lib/libc_r/arch/i386/_atomic_lock.S
+++ b/lib/libc_r/arch/i386/_atomic_lock.S
@@ -20,9 +20,6 @@
  * SUCH DAMAGE.    
  *
  * $FreeBSD: src/lib/libc_r/arch/i386/_atomic_lock.S,v 1.3 1999/08/28 00:03:01 peter Exp $
- * $DragonFly: src/lib/libc_r/arch/i386/_atomic_lock.S,v 1.2 2003/06/17 04:26:47 dillon Exp $
- *
- * $FreeBSD: src/lib/libc_r/arch/i386/_atomic_lock.S,v 1.3 1999/08/28 00:03:01 peter Exp $
  */
 
 #include "DEFS.h"
@@ -39,4 +36,4 @@ ENTRY(_atomic_lock)
 	movl	$1, %eax
 	xchg	%eax, (%ecx)
 	ret
-
+END(_atomic_lock)
diff --git a/lib/libc_r/arch/x86_64/_atomic_lock.S b/lib/libc_r/arch/x86_64/_atomic_lock.S
index 1045152..83faf80 100644
--- a/lib/libc_r/arch/x86_64/_atomic_lock.S
+++ b/lib/libc_r/arch/x86_64/_atomic_lock.S
@@ -35,4 +35,4 @@ ENTRY(_atomic_lock)
 	movq	$1,%rax
 	xchgq	%rax,(%rdi)
 	ret
-
+END(_atomic_lock)
diff --git a/lib/libm/arch/i386/e_acos.S b/lib/libm/arch/i386/e_acos.S
index ab1d744..757bcce 100644
--- a/lib/libm/arch/i386/e_acos.S
+++ b/lib/libm/arch/i386/e_acos.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_acos.S,v 1.8 2003/07/26 19:24:57 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_acos.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -23,3 +22,4 @@ ENTRY(acos)
 	fpatan
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(acos)
diff --git a/lib/libm/arch/i386/e_asin.S b/lib/libm/arch/i386/e_asin.S
index ba91b31..0f252c5 100644
--- a/lib/libm/arch/i386/e_asin.S
+++ b/lib/libm/arch/i386/e_asin.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_asin.S,v 1.7 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_asin.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -22,3 +21,4 @@ ENTRY(asin)
 	fpatan
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(asin)
diff --git a/lib/libm/arch/i386/e_atan2.S b/lib/libm/arch/i386/e_atan2.S
index e444ec6..c7980b1 100644
--- a/lib/libm/arch/i386/e_atan2.S
+++ b/lib/libm/arch/i386/e_atan2.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_atan2.S,v 1.6 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_atan2.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(atan2)
 	fpatan
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(atan2)
diff --git a/lib/libm/arch/i386/e_atan2f.S b/lib/libm/arch/i386/e_atan2f.S
index a8d7daa..1cf34c6 100644
--- a/lib/libm/arch/i386/e_atan2f.S
+++ b/lib/libm/arch/i386/e_atan2f.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_atan2f.S,v 1.3 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_atan2f.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(atan2f)
 	fpatan
 	XMM_FLOAT_EPILOGUE
 	ret
+END(atan2f)
diff --git a/lib/libm/arch/i386/e_exp.S b/lib/libm/arch/i386/e_exp.S
index 02b30c7..43cb65b 100644
--- a/lib/libm/arch/i386/e_exp.S
+++ b/lib/libm/arch/i386/e_exp.S
@@ -29,7 +29,6 @@
  *
  * $NetBSD: e_exp.S,v 1.12 2002/02/27 16:32:46 christos Exp $
  * $FreeBSD: src/lib/msun/i387/e_exp.S,v 1.8.2.1 2000/07/10 09:16:28 obrien Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_exp.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 /*
@@ -129,3 +128,4 @@ x_not_minus_Inf:
 	fldl	4(%esp)
 	ret
 #endif
+END(exp)
diff --git a/lib/libm/arch/i386/e_expf.S b/lib/libm/arch/i386/e_expf.S
index af11c13..1698600 100644
--- a/lib/libm/arch/i386/e_expf.S
+++ b/lib/libm/arch/i386/e_expf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_expf.S,v 1.5 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_expf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -27,3 +26,4 @@ ENTRY(expf)
 	fstp	%st(1)
 	XMM_FLOAT_EPILOGUE
 	ret
+END(expf)
diff --git a/lib/libm/arch/i386/e_fmod.S b/lib/libm/arch/i386/e_fmod.S
index 8f45112..a438ebe 100644
--- a/lib/libm/arch/i386/e_fmod.S
+++ b/lib/libm/arch/i386/e_fmod.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_fmod.S,v 1.7 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_fmod.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -21,3 +20,4 @@ ENTRY(fmod)
 	fstp	%st(1)
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(fmod)
diff --git a/lib/libm/arch/i386/e_log.S b/lib/libm/arch/i386/e_log.S
index 89255eb..9421813 100644
--- a/lib/libm/arch/i386/e_log.S
+++ b/lib/libm/arch/i386/e_log.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_log.S,v 1.6 2003/07/26 19:24:58 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_log.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(log)
 	fyl2x
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(log)
diff --git a/lib/libm/arch/i386/e_log10.S b/lib/libm/arch/i386/e_log10.S
index ed3a95c..244ccdb 100644
--- a/lib/libm/arch/i386/e_log10.S
+++ b/lib/libm/arch/i386/e_log10.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_log10.S,v 1.6 2003/07/26 19:24:59 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_log10.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(log10)
 	fyl2x
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(log10)
diff --git a/lib/libm/arch/i386/e_log10f.S b/lib/libm/arch/i386/e_log10f.S
index 0921f84..c753df3 100644
--- a/lib/libm/arch/i386/e_log10f.S
+++ b/lib/libm/arch/i386/e_log10f.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_log10f.S,v 1.3 2003/07/26 19:24:59 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_log10f.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(log10f)
 	fyl2x
 	XMM_FLOAT_EPILOGUE
 	ret
+END(log10f)
diff --git a/lib/libm/arch/i386/e_log2.S b/lib/libm/arch/i386/e_log2.S
index 2214fa2..9aa9b16 100644
--- a/lib/libm/arch/i386/e_log2.S
+++ b/lib/libm/arch/i386/e_log2.S
@@ -2,7 +2,6 @@
  * Written by Rui Paulo <rpaulo@NetBSD.org>, based on e_log.S.
  * Public domain.
  * $NetBSD: e_log2.S,v 1.1 2005/07/21 20:58:21 rpaulo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_log2.S,v 1.1 2007/06/16 22:26:53 pavalos Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(log2)
 	fyl2x
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(log2)
diff --git a/lib/libm/arch/i386/e_log2f.S b/lib/libm/arch/i386/e_log2f.S
index 9db9041..9dea612 100644
--- a/lib/libm/arch/i386/e_log2f.S
+++ b/lib/libm/arch/i386/e_log2f.S
@@ -2,7 +2,6 @@
  * Written by Rui Paulo <rpaulo@NetBSD.org>, based on e_logf.S.
  * Public domain.
  * $NetBSD: e_log2f.S,v 1.1 2005/07/21 20:58:21 rpaulo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_log2f.S,v 1.1 2007/06/16 22:26:53 pavalos Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(log2f)
 	fyl2x
 	XMM_FLOAT_EPILOGUE
 	ret
+END(log2f)
diff --git a/lib/libm/arch/i386/e_logf.S b/lib/libm/arch/i386/e_logf.S
index 6b9656b..7177332 100644
--- a/lib/libm/arch/i386/e_logf.S
+++ b/lib/libm/arch/i386/e_logf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_logf.S,v 1.4 2003/07/26 19:24:59 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_logf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(logf)
 	fyl2x
 	XMM_FLOAT_EPILOGUE
 	ret
+END(logf)
diff --git a/lib/libm/arch/i386/e_remainder.S b/lib/libm/arch/i386/e_remainder.S
index d1fbc9d..6fa35eb 100644
--- a/lib/libm/arch/i386/e_remainder.S
+++ b/lib/libm/arch/i386/e_remainder.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_remainder.S,v 1.7 2003/07/26 19:24:59 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_remainder.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -21,3 +20,4 @@ ENTRY(remainder)
 	fstp	%st(1)
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(remainder)
diff --git a/lib/libm/arch/i386/e_remainderf.S b/lib/libm/arch/i386/e_remainderf.S
index d0273e0..85d68dd 100644
--- a/lib/libm/arch/i386/e_remainderf.S
+++ b/lib/libm/arch/i386/e_remainderf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_remainderf.S,v 1.5 2003/07/26 19:24:59 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_remainderf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -21,3 +20,4 @@ ENTRY(remainderf)
 	fstp	%st(1)
 	XMM_FLOAT_EPILOGUE
 	ret
+END(remainderf)
diff --git a/lib/libm/arch/i386/e_scalb.S b/lib/libm/arch/i386/e_scalb.S
index 2e0848b..d2bd0fc 100644
--- a/lib/libm/arch/i386/e_scalb.S
+++ b/lib/libm/arch/i386/e_scalb.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_scalb.S,v 1.7 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_scalb.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -18,3 +17,4 @@ ENTRY(scalb)
 	fstp	%st(1)			/* bug fix for fp stack overflow */
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(scalb)
diff --git a/lib/libm/arch/i386/e_scalbf.S b/lib/libm/arch/i386/e_scalbf.S
index 3489081..bd466af 100644
--- a/lib/libm/arch/i386/e_scalbf.S
+++ b/lib/libm/arch/i386/e_scalbf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_scalbf.S,v 1.3 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_scalbf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(scalbf)
 	fscale
 	XMM_FLOAT_EPILOGUE
 	ret
+END(scalbf)
diff --git a/lib/libm/arch/i386/e_sqrt.S b/lib/libm/arch/i386/e_sqrt.S
index 02be103..ad21d9a 100644
--- a/lib/libm/arch/i386/e_sqrt.S
+++ b/lib/libm/arch/i386/e_sqrt.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_sqrt.S,v 1.6 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_sqrt.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(sqrt)
 	sqrtsd	%xmm0,%xmm0
 #endif
 	ret
+END(sqrt)
diff --git a/lib/libm/arch/i386/e_sqrtf.S b/lib/libm/arch/i386/e_sqrtf.S
index b11010d..ea5d60f 100644
--- a/lib/libm/arch/i386/e_sqrtf.S
+++ b/lib/libm/arch/i386/e_sqrtf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: e_sqrtf.S,v 1.4 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/e_sqrtf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(sqrtf)
 	sqrtss	%xmm0,%xmm0
 #endif
 	ret
+END(sqrtf)
diff --git a/lib/libm/arch/i386/lrint.S b/lib/libm/arch/i386/lrint.S
index 6318ad8..7713f8b 100644
--- a/lib/libm/arch/i386/lrint.S
+++ b/lib/libm/arch/i386/lrint.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: lrint.S,v 1.2 2004/10/13 15:18:32 drochner Exp $
- * $DragonFly: src/lib/libm/arch/i386/lrint.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -22,3 +21,4 @@ ENTRY(lrint)
 	cvtsd2siq %xmm0,%rax
 	ret
 #endif
+END(lrint)
diff --git a/lib/libm/arch/i386/s_atan.S b/lib/libm/arch/i386/s_atan.S
index a60dc3c..031fec3 100644
--- a/lib/libm/arch/i386/s_atan.S
+++ b/lib/libm/arch/i386/s_atan.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_atan.S,v 1.6 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_atan.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(atan)
 	fpatan
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(atan)
diff --git a/lib/libm/arch/i386/s_atanf.S b/lib/libm/arch/i386/s_atanf.S
index cf2aefc..409d264 100644
--- a/lib/libm/arch/i386/s_atanf.S
+++ b/lib/libm/arch/i386/s_atanf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_atanf.S,v 1.5 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_atanf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(atanf)
 	fpatan
 	XMM_FLOAT_EPILOGUE
 	ret
+END(atanf)
diff --git a/lib/libm/arch/i386/s_ceil.S b/lib/libm/arch/i386/s_ceil.S
index ea3e7be..d5ca5c5 100644
--- a/lib/libm/arch/i386/s_ceil.S
+++ b/lib/libm/arch/i386/s_ceil.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_ceil.S,v 1.7 2003/07/26 19:25:00 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_ceil.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -44,3 +43,4 @@ ENTRY(ceil)
 	movsd	-8(%rsp),%xmm0
 #endif
 	ret
+END(ceil)
diff --git a/lib/libm/arch/i386/s_ceilf.S b/lib/libm/arch/i386/s_ceilf.S
index d6aa330..89be23d 100644
--- a/lib/libm/arch/i386/s_ceilf.S
+++ b/lib/libm/arch/i386/s_ceilf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_ceilf.S,v 1.8 2004/07/16 18:40:24 drochner Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_ceilf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -42,3 +41,4 @@ ENTRY(ceilf)
 	movss	-4(%rsp),%xmm0
 #endif
 	ret
+END(ceilf)
diff --git a/lib/libm/arch/i386/s_copysign.S b/lib/libm/arch/i386/s_copysign.S
index 6a256bb..f92ae26 100644
--- a/lib/libm/arch/i386/s_copysign.S
+++ b/lib/libm/arch/i386/s_copysign.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_copysign.S,v 1.6 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_copysign.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 /*
@@ -52,3 +51,4 @@ ENTRY(copysign)
 #endif
 #endif
 	ret
+END(copysign)
diff --git a/lib/libm/arch/i386/s_copysignf.S b/lib/libm/arch/i386/s_copysignf.S
index 4198854..6bee4a7 100644
--- a/lib/libm/arch/i386/s_copysignf.S
+++ b/lib/libm/arch/i386/s_copysignf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_copysignf.S,v 1.5 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_copysignf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -52,3 +51,4 @@ ENTRY(copysignf)
 #endif
 #endif
 	ret
+END(copysignf)
diff --git a/lib/libm/arch/i386/s_cos.S b/lib/libm/arch/i386/s_cos.S
index 7335609..398940b 100644
--- a/lib/libm/arch/i386/s_cos.S
+++ b/lib/libm/arch/i386/s_cos.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_cos.S,v 1.8 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_cos.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -30,3 +29,4 @@ ENTRY(cos)
 	fcos
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(cos)
diff --git a/lib/libm/arch/i386/s_cosf.S b/lib/libm/arch/i386/s_cosf.S
index fcd5d17..b20b1b8 100644
--- a/lib/libm/arch/i386/s_cosf.S
+++ b/lib/libm/arch/i386/s_cosf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_cosf.S,v 1.6 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_cosf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(cosf)
 	fcos
 	XMM_FLOAT_EPILOGUE
 	ret
+END(cosf)
diff --git a/lib/libm/arch/i386/s_finite.S b/lib/libm/arch/i386/s_finite.S
index 9c3a34f..f840393 100644
--- a/lib/libm/arch/i386/s_finite.S
+++ b/lib/libm/arch/i386/s_finite.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_finite.S,v 1.7 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_finite.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -25,3 +24,4 @@ ENTRY(finite)
 	setne	%al
 #endif
 	ret
+END(finite)
diff --git a/lib/libm/arch/i386/s_finitef.S b/lib/libm/arch/i386/s_finitef.S
index 1cc58d5..6aa0e70 100644
--- a/lib/libm/arch/i386/s_finitef.S
+++ b/lib/libm/arch/i386/s_finitef.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_finitef.S,v 1.6 2003/07/26 19:25:01 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_finitef.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -24,3 +23,4 @@ ENTRY(finitef)
 	setne	%al
 #endif
 	ret
+END(finitef)
diff --git a/lib/libm/arch/i386/s_floor.S b/lib/libm/arch/i386/s_floor.S
index e297801..78a8dd1 100644
--- a/lib/libm/arch/i386/s_floor.S
+++ b/lib/libm/arch/i386/s_floor.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_floor.S,v 1.8 2003/07/26 19:25:02 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_floor.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -42,3 +41,4 @@ ENTRY(floor)
 	movsd	-8(%rsp),%xmm0
 #endif
 	ret
+END(floor)
diff --git a/lib/libm/arch/i386/s_floorf.S b/lib/libm/arch/i386/s_floorf.S
index 9307341..15af03e 100644
--- a/lib/libm/arch/i386/s_floorf.S
+++ b/lib/libm/arch/i386/s_floorf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_floorf.S,v 1.7 2004/07/16 18:40:24 drochner Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_floorf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -42,3 +41,4 @@ ENTRY(floorf)
 	movss	-4(%rsp),%xmm0
 #endif
 	ret
+END(floorf)
diff --git a/lib/libm/arch/i386/s_ilogb.S b/lib/libm/arch/i386/s_ilogb.S
index e53419e..f5d5927 100644
--- a/lib/libm/arch/i386/s_ilogb.S
+++ b/lib/libm/arch/i386/s_ilogb.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_ilogb.S,v 1.7 2003/07/26 19:25:02 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_ilogb.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -31,3 +30,4 @@ ENTRY(ilogb)
 	movl	-8(%rsp),%eax
 #endif
 	ret
+END(ilogb)
diff --git a/lib/libm/arch/i386/s_ilogbf.S b/lib/libm/arch/i386/s_ilogbf.S
index 8791e5e..444b323 100644
--- a/lib/libm/arch/i386/s_ilogbf.S
+++ b/lib/libm/arch/i386/s_ilogbf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_ilogbf.S,v 1.6 2003/07/26 19:25:02 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_ilogbf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -31,3 +30,4 @@ ENTRY(ilogbf)
 	movl	-4(%rsp),%eax
 #endif
 	ret
+END(ilogbf)
diff --git a/lib/libm/arch/i386/s_log1p.S b/lib/libm/arch/i386/s_log1p.S
index 5397deb..01cca2e 100644
--- a/lib/libm/arch/i386/s_log1p.S
+++ b/lib/libm/arch/i386/s_log1p.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_log1p.S,v 1.13 2003/09/16 18:17:11 wennmach Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_log1p.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 /*
@@ -75,3 +74,4 @@ use_fyl2xp1:
 	fyl2xp1
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(log1p)
diff --git a/lib/libm/arch/i386/s_log1pf.S b/lib/libm/arch/i386/s_log1pf.S
index 7a20816..48dd76d 100644
--- a/lib/libm/arch/i386/s_log1pf.S
+++ b/lib/libm/arch/i386/s_log1pf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_log1pf.S,v 1.10 2003/09/16 18:17:11 wennmach Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_log1pf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 /*
@@ -75,3 +74,4 @@ use_fyl2xp1:
 	fyl2xp1
 	XMM_FLOAT_EPILOGUE
 	ret
+END(log1pf)
diff --git a/lib/libm/arch/i386/s_logb.S b/lib/libm/arch/i386/s_logb.S
index aad0f92..a9f8128 100644
--- a/lib/libm/arch/i386/s_logb.S
+++ b/lib/libm/arch/i386/s_logb.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_logb.S,v 1.6 2003/07/26 19:25:02 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_logb.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(logb)
 	fstp	%st
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(logb)
diff --git a/lib/libm/arch/i386/s_logbf.S b/lib/libm/arch/i386/s_logbf.S
index ec66ed4..07aae79 100644
--- a/lib/libm/arch/i386/s_logbf.S
+++ b/lib/libm/arch/i386/s_logbf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_logbf.S,v 1.5 2003/07/26 19:25:02 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_logbf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(logbf)
 	fstp	%st
 	XMM_FLOAT_EPILOGUE
 	ret
+END(logbf)
diff --git a/lib/libm/arch/i386/s_rint.S b/lib/libm/arch/i386/s_rint.S
index 2f3d72d..b84618c 100644
--- a/lib/libm/arch/i386/s_rint.S
+++ b/lib/libm/arch/i386/s_rint.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_rint.S,v 1.6 2003/07/26 19:25:03 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_rint.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(rint)
 	frndint
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(rint)
diff --git a/lib/libm/arch/i386/s_rintf.S b/lib/libm/arch/i386/s_rintf.S
index 893d3b9..3c98429 100644
--- a/lib/libm/arch/i386/s_rintf.S
+++ b/lib/libm/arch/i386/s_rintf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_rintf.S,v 1.5 2003/07/26 19:25:03 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_rintf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -16,3 +15,4 @@ ENTRY(rintf)
 	frndint
 	XMM_FLOAT_EPILOGUE
 	ret
+END(rintf)
diff --git a/lib/libm/arch/i386/s_scalbn.S b/lib/libm/arch/i386/s_scalbn.S
index 29f4d74..02fd4f8 100644
--- a/lib/libm/arch/i386/s_scalbn.S
+++ b/lib/libm/arch/i386/s_scalbn.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_scalbn.S,v 1.8 2006/03/21 11:35:21 drochner Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_scalbn.S,v 1.2 2007/06/16 23:53:00 pavalos Exp $
  */
 
 #include <machine/asm.h>
@@ -25,3 +24,4 @@ ENTRY(scalbn)
 	fstp %st(1)		/* clean up stack */
 #endif
 	ret
+END(scalbn)
diff --git a/lib/libm/arch/i386/s_scalbnf.S b/lib/libm/arch/i386/s_scalbnf.S
index 8e30c94..107c2af 100644
--- a/lib/libm/arch/i386/s_scalbnf.S
+++ b/lib/libm/arch/i386/s_scalbnf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_scalbnf.S,v 1.7 2006/03/21 11:35:21 drochner Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_scalbnf.S,v 1.2 2007/06/16 23:53:00 pavalos Exp $
  */
 
 #include <machine/asm.h>
@@ -25,3 +24,4 @@ ENTRY(scalbnf)
 	fstp %st(1)		/* clean up stack */
 #endif
 	ret
+END(scalbnf)
diff --git a/lib/libm/arch/i386/s_significand.S b/lib/libm/arch/i386/s_significand.S
index 7b62ce2..156bcac 100644
--- a/lib/libm/arch/i386/s_significand.S
+++ b/lib/libm/arch/i386/s_significand.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_significand.S,v 1.6 2003/07/26 19:25:03 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_significand.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(significand)
 	fstp	%st(1)
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(significand)
diff --git a/lib/libm/arch/i386/s_significandf.S b/lib/libm/arch/i386/s_significandf.S
index 57a4cd2..d6a74c7 100644
--- a/lib/libm/arch/i386/s_significandf.S
+++ b/lib/libm/arch/i386/s_significandf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_significandf.S,v 1.5 2003/07/26 19:25:03 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_significandf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(significandf)
 	fstp	%st(1)
 	XMM_FLOAT_EPILOGUE
 	ret
+END(significandf)
diff --git a/lib/libm/arch/i386/s_sin.S b/lib/libm/arch/i386/s_sin.S
index 26eaa09..f59cd2a 100644
--- a/lib/libm/arch/i386/s_sin.S
+++ b/lib/libm/arch/i386/s_sin.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_sin.S,v 1.7 2003/07/26 19:25:03 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_sin.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -30,3 +29,4 @@ ENTRY(sin)
 	fsin
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(sin)
diff --git a/lib/libm/arch/i386/s_sinf.S b/lib/libm/arch/i386/s_sinf.S
index 4f39f62..17f9f89 100644
--- a/lib/libm/arch/i386/s_sinf.S
+++ b/lib/libm/arch/i386/s_sinf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_sinf.S,v 1.5 2003/07/26 19:25:04 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_sinf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -17,3 +16,4 @@ ENTRY(sinf)
 	fsin
 	XMM_FLOAT_EPILOGUE
 	ret
+END(sinf)
diff --git a/lib/libm/arch/i386/s_tan.S b/lib/libm/arch/i386/s_tan.S
index 9fd47e6..f961aae 100644
--- a/lib/libm/arch/i386/s_tan.S
+++ b/lib/libm/arch/i386/s_tan.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_tan.S,v 1.7 2003/07/26 19:25:04 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_tan.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -32,3 +31,4 @@ ENTRY(tan)
 	fstp	%st(0)
 	XMM_DOUBLE_EPILOGUE
 	ret
+END(tan)
diff --git a/lib/libm/arch/i386/s_tanf.S b/lib/libm/arch/i386/s_tanf.S
index 87535c7..4b43c0d 100644
--- a/lib/libm/arch/i386/s_tanf.S
+++ b/lib/libm/arch/i386/s_tanf.S
@@ -3,7 +3,6 @@
  * Public domain.
  *
  * $NetBSD: s_tanf.S,v 1.5 2003/07/26 19:25:04 salo Exp $
- * $DragonFly: src/lib/libm/arch/i386/s_tanf.S,v 1.1 2005/07/26 21:15:19 joerg Exp $
  */
 
 #include <machine/asm.h>
@@ -18,3 +17,4 @@ ENTRY(tanf)
 	fstp	%st(0)
 	XMM_FLOAT_EPILOGUE
 	ret
+END(tanf)
diff --git a/lib/libstand/i386/_setjmp.S b/lib/libstand/i386/_setjmp.S
index 5dde185..f9724ac 100644
--- a/lib/libstand/i386/_setjmp.S
+++ b/lib/libstand/i386/_setjmp.S
@@ -34,9 +34,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/lib/libstand/i386/_setjmp.S,v 1.3 1999/08/28 00:05:37 peter Exp $
- * $DragonFly: src/lib/libstand/i386/_setjmp.S,v 1.2 2003/06/17 04:26:51 dillon Exp $
- *
- * $FreeBSD: src/lib/libstand/i386/_setjmp.S,v 1.3 1999/08/28 00:05:37 peter Exp $
  */
 
 /*
@@ -62,6 +59,7 @@ ENTRY(_setjmp)
 	movl	%edi,20(%eax)
 	xorl	%eax,%eax
 	ret
+END(_setjmp)
 
 ENTRY(_longjmp)
 	movl	4(%esp),%edx
@@ -77,3 +75,4 @@ ENTRY(_longjmp)
 	incl	%eax
 1:	movl	%ecx,0(%esp)
 	ret
+END(_longjmp)
diff --git a/lib/libthread_xu/arch/i386/i386/_umtx_sleep_wakeup_err.S b/lib/libthread_xu/arch/i386/i386/_umtx_sleep_wakeup_err.S
index 4c313ac..fca2b6f 100644
--- a/lib/libthread_xu/arch/i386/i386/_umtx_sleep_wakeup_err.S
+++ b/lib/libthread_xu/arch/i386/i386/_umtx_sleep_wakeup_err.S
@@ -6,7 +6,8 @@
 
 #define SYSCALL_ERR(x)						\
 			ENTRY(__CONCAT(x, _err));		\
-			lea __CONCAT(SYS,x),%eax; KERNCALL; ret
+			lea __CONCAT(SYS,x),%eax; KERNCALL; ret; \
+			END(__CONCAT(x, _err))
 
 
 SYSCALL_ERR(_umtx_sleep)
diff --git a/lib/libthread_xu/arch/x86_64/x86_64/_umtx_sleep_wakeup_err.S b/lib/libthread_xu/arch/x86_64/x86_64/_umtx_sleep_wakeup_err.S
index 3da200d..55704fb 100644
--- a/lib/libthread_xu/arch/x86_64/x86_64/_umtx_sleep_wakeup_err.S
+++ b/lib/libthread_xu/arch/x86_64/x86_64/_umtx_sleep_wakeup_err.S
@@ -6,7 +6,8 @@
 
 #define SYSCALL_ERR(x)						\
 			ENTRY(__CONCAT(x, _err));		\
-			mov __CONCAT($SYS,x),%rax; KERNCALL; ret
+			mov __CONCAT($SYS,x),%rax; KERNCALL; ret; \
+			END(__CONCAT(x, _err))
 
 
 SYSCALL_ERR(_umtx_sleep)
diff --git a/sys/cpu/i386/misc/bzeront.s b/sys/cpu/i386/misc/bzeront.s
index 5759338..4ecc8b5 100644
--- a/sys/cpu/i386/misc/bzeront.s
+++ b/sys/cpu/i386/misc/bzeront.s
@@ -57,3 +57,4 @@ ENTRY(bzeront)
 	subl $1, %ecx
 	jnz 1b
 	ret
+END(bzeront)
diff --git a/sys/cpu/i386/misc/in_cksum2.s b/sys/cpu/i386/misc/in_cksum2.s
index f850935..180902a 100644
--- a/sys/cpu/i386/misc/in_cksum2.s
+++ b/sys/cpu/i386/misc/in_cksum2.s
@@ -30,8 +30,6 @@
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- * 
- * $DragonFly: src/sys/cpu/i386/misc/in_cksum2.s,v 1.5 2006/10/25 20:55:51 dillon Exp $
  */
 
 #include <machine/asmacros.h>		/* miscellaneous asm macros */
@@ -85,3 +83,4 @@ ENTRY(asm_ones32)
 	jnz	3b
 4:
 	ret
+END(asm_ones32)
diff --git a/sys/cpu/i386/misc/monitor.s b/sys/cpu/i386/misc/monitor.s
index 6dcbd72..fe47ac3 100644
--- a/sys/cpu/i386/misc/monitor.s
+++ b/sys/cpu/i386/misc/monitor.s
@@ -65,3 +65,5 @@ ENTRY(cpu_mmw_pause_long)
 	popl	%ebx
 1:
 	ret
+END(cpu_mmw_pause_int)
+END(cpu_mmw_pause_long)
diff --git a/sys/cpu/x86_64/misc/bzeront.s b/sys/cpu/x86_64/misc/bzeront.s
index 2bbc2a1..cd8ba93 100644
--- a/sys/cpu/x86_64/misc/bzeront.s
+++ b/sys/cpu/x86_64/misc/bzeront.s
@@ -53,3 +53,4 @@ ENTRY(bzeront)
 	subq $1,%rsi
 	jne 1b
 	retq
+END(bzeront)
diff --git a/sys/cpu/x86_64/misc/in_cksum2.s b/sys/cpu/x86_64/misc/in_cksum2.s
index fd414d8..37ed913 100644
--- a/sys/cpu/x86_64/misc/in_cksum2.s
+++ b/sys/cpu/x86_64/misc/in_cksum2.s
@@ -83,3 +83,4 @@ ENTRY(asm_ones32)
 	jnz	3b
 4:
 	ret
+END(asm_ones32)
diff --git a/sys/cpu/x86_64/misc/monitor.s b/sys/cpu/x86_64/misc/monitor.s
index 4ad0b83..1ccce17 100644
--- a/sys/cpu/x86_64/misc/monitor.s
+++ b/sys/cpu/x86_64/misc/monitor.s
@@ -55,6 +55,7 @@ ENTRY(cpu_mmw_pause_int)
 	mwait
 1:
 	ret
+END(cpu_mmw_pause_int)
 
 /*
  * void cpu_mmw_pause_long(long *addr, long oldval)
@@ -71,3 +72,4 @@ ENTRY(cpu_mmw_pause_long)
 	mwait
 1:
 	ret
+END(cpu_mmw_pause_long)
diff --git a/sys/dev/crypto/padlock/rng_harvest_i386.S b/sys/dev/crypto/padlock/rng_harvest_i386.S
index 815f318..2c6c6ae 100644
--- a/sys/dev/crypto/padlock/rng_harvest_i386.S
+++ b/sys/dev/crypto/padlock/rng_harvest_i386.S
@@ -73,4 +73,4 @@ out:
 	/* return the number of stored random bytes. */
 	movl	%ebx, 	%eax
 	ret
-
+END(padlock_rng)
diff --git a/sys/dev/crypto/padlock/rng_harvest_x86_64.S b/sys/dev/crypto/padlock/rng_harvest_x86_64.S
index 506a4a7..806f935 100644
--- a/sys/dev/crypto/padlock/rng_harvest_x86_64.S
+++ b/sys/dev/crypto/padlock/rng_harvest_x86_64.S
@@ -72,4 +72,4 @@ out:
 	/* return the number of stored random bytes. */
 	movl	%ebx, 	%eax
 	ret
-
+END(padlock_rng)
diff --git a/sys/emulation/linux/i386/linux_support.s b/sys/emulation/linux/i386/linux_support.s
index 2e4ad44..7c6bd41 100644
--- a/sys/emulation/linux/i386/linux_support.s
+++ b/sys/emulation/linux/i386/linux_support.s
@@ -74,6 +74,7 @@ ENTRY(futex_xchgl)
 	xorl	%eax,%eax
 	movl	%eax,PCB_ONFAULT(%ecx)
 	ret
+END(futex_xchgl)
 
 ENTRY(futex_addl)
 	movl	PCPU(curthread),%ecx
@@ -93,6 +94,7 @@ ENTRY(futex_addl)
 	xorl	%eax,%eax
 	movl	%eax,PCB_ONFAULT(%ecx)
 	ret
+END(futex_addl)
 
 ENTRY(futex_orl)
 	movl	PCPU(curthread),%ecx
@@ -118,6 +120,7 @@ futex_tail:
 	movl	TD_PCB(%ecx),%ecx
 	movl	%eax,PCB_ONFAULT(%ecx)
 	ret
+END(futex_orl)
 
 ENTRY(futex_andl)
 	movl	PCPU(curthread),%ecx
@@ -154,3 +157,4 @@ ENTRY(futex_xorl)
 	cmpxchgl %ecx,(%edx)
 	jnz	1b
 	jmp	futex_tail
+END(futex_andl)
diff --git a/sys/platform/pc32/apic/ioapic_ipl.s b/sys/platform/pc32/apic/ioapic_ipl.s
index 0639264..6bdcd0b 100644
--- a/sys/platform/pc32/apic/ioapic_ipl.s
+++ b/sys/platform/pc32/apic/ioapic_ipl.s
@@ -89,6 +89,7 @@ ENTRY(IOAPIC_INTRDIS)
 2:
 	IOAPIC_IMASK_UNLOCK		/* exit critical reg */
 	ret
+END(IOAPIC_INTRDIS)
 
 ENTRY(IOAPIC_INTREN)
 	IOAPIC_IMASK_LOCK		/* enter critical reg */
@@ -106,6 +107,7 @@ ENTRY(IOAPIC_INTREN)
 2:	
 	IOAPIC_IMASK_UNLOCK		/* exit critical reg */
 	ret
+END(IOAPIC_INTREN)
 
 /******************************************************************************
  * 
@@ -120,6 +122,7 @@ ENTRY(ioapic_read)
 	movl	%eax, (%edx)		/* write the target register index */
 	movl	IOAPIC_WINDOW(%edx), %eax /* read the IOAPIC register data */
 	ret				/* %eax = register value */
+END(ioapic_read)
 
 /*
  * void ioapic_write(volatile void *ioapic, int select, int value);
@@ -131,3 +134,4 @@ ENTRY(ioapic_write)
 	movl	12(%esp), %eax		/* target register value */
 	movl	%eax, IOAPIC_WINDOW(%edx) /* write the IOAPIC register data */
 	ret				/* %eax = void */
+END(ioapic_write)
diff --git a/sys/platform/pc32/i386/bcopy.s b/sys/platform/pc32/i386/bcopy.s
index 37c792c..9918626 100644
--- a/sys/platform/pc32/i386/bcopy.s
+++ b/sys/platform/pc32/i386/bcopy.s
@@ -82,6 +82,7 @@ ENTRY(bcopyb)
 	popl	%esi
 	cld
 	ret
+END(bcopyb)
 
 	/*
 	 * bcopyi(s, d, len)	(NON OVERLAPPING)
@@ -112,6 +113,7 @@ generic_onfault:
 	popl	%ebx
 	addl	$4,%esp		/* skip normal return vector */
 	ret			/* return to copyin/copyout fault handler */
+END(bcopyi)
 
 	/*
 	 * GENERIC BCOPY() - COPY DIRECTION CHECK AND FORWARDS COPY
@@ -124,6 +126,7 @@ ENTRY(asm_generic_memcpy)	/* memcpy() entry point use optimal copy */
 	pushl	%ebx
 	pushl	$generic_onfault
 	jmp	2f
+END(asm_generic_memcpy)
 
 	SUPERALIGN_TEXT
 ENTRY(asm_generic_bcopy)
@@ -365,6 +368,7 @@ mmx_onfault:
 	MMX_RESTORE_BLOCK2
 	addl	$4,%esp
 	ret
+END(asm_generic_bcopy)
 
 	/*
 	 * MXX entry points - only support 64 bit media instructions
@@ -373,6 +377,7 @@ mmx_onfault:
 ENTRY(asm_mmx_memcpy)		/* memcpy() entry point use optimal copy */
 	MMX_SAVE_BLOCK(asm_generic_memcpy)
 	jmp	5f
+END(asm_mmx_memcpy)		/* memcpy() entry point use optimal copy */
 
 	SUPERALIGN_TEXT
 ENTRY(asm_mmx_bcopy)
@@ -384,6 +389,7 @@ ENTRY(asm_mmx_bcopy)
 	jb	10f
 	subl	%ecx,%esi
 	jmp	5f
+END(asm_mmx_bcopy)
 
 	/*
 	 * XMM entry points - support 128 bit media instructions
@@ -392,6 +398,7 @@ ENTRY(asm_mmx_bcopy)
 ENTRY(asm_xmm_memcpy)		/* memcpy() entry point use optimal copy */
 	MMX_SAVE_BLOCK(asm_generic_memcpy)
 	jmp	1f
+END(asm_xmm_memcpy)		/* memcpy() entry point use optimal copy */
 
 	SUPERALIGN_TEXT
 ENTRY(asm_xmm_bcopy)
@@ -520,4 +527,4 @@ ENTRY(asm_xmm_bcopy)
 13:
 	MMX_RESTORE_BLOCK
 	ret
-
+END(asm_xmm_bcopy)
diff --git a/sys/platform/pc32/i386/bioscall.s b/sys/platform/pc32/i386/bioscall.s
index 19dd61e..99f1efa 100644
--- a/sys/platform/pc32/i386/bioscall.s
+++ b/sys/platform/pc32/i386/bioscall.s
@@ -24,7 +24,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/i386/i386/bioscall.s,v 1.6.2.1 2000/07/07 00:38:46 obrien Exp $
- * $DragonFly: src/sys/platform/pc32/i386/bioscall.s,v 1.4 2003/11/07 17:59:23 dillon Exp $
  */
 
 /*
@@ -81,6 +80,7 @@ ENTRY(bios32)
 	popl	%ebx
 	popl	%ebp
 	ret
+END(bios32)
 
 
 /*
@@ -159,3 +159,4 @@ CNAME(bios16_jmp):
 	pushl	%ecx			/* return address */
 	movl	$KCSEL,4(%esp)
 	lret				/* reload %cs on the way out */
+END(bios16_call)
diff --git a/sys/platform/pc32/i386/bzero.s b/sys/platform/pc32/i386/bzero.s
index 9f06fe6..7d928c4 100644
--- a/sys/platform/pc32/i386/bzero.s
+++ b/sys/platform/pc32/i386/bzero.s
@@ -59,6 +59,7 @@ ENTRY(memset)
 	shll	$16,%edx
 	orl	%edx,%eax
 	jmp	2f
+END(memset)
 
 /*
  * Ignore inefficiencies due to alignment.  Most callers will supply
@@ -86,6 +87,7 @@ ENTRY(bzero)
 3:
 	popl	%edi
 	ret
+END(bzero)
 
 ENTRY(i686_pagezero)
 	pushl	%edi
@@ -136,4 +138,4 @@ ENTRY(i686_pagezero)
 	popl	%ebx
 	popl	%edi
 	ret
-
+END(i686_pagezero)
diff --git a/sys/platform/pc32/i386/exception.s b/sys/platform/pc32/i386/exception.s
index 987687f..5d584e9 100644
--- a/sys/platform/pc32/i386/exception.s
+++ b/sys/platform/pc32/i386/exception.s
@@ -31,7 +31,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/i386/i386/exception.s,v 1.65.2.3 2001/08/15 01:23:49 peter Exp $
- * $DragonFly: src/sys/platform/pc32/i386/exception.s,v 1.32 2008/05/08 01:21:04 dillon Exp $
  */
 
 #include "use_npx.h"
@@ -936,6 +935,7 @@ ENTRY(fork_trampoline)
 	pushl	$0			/* cpl to restore */
 	MEXITCOUNT
 	jmp	doreti
+END(fork_trampoline)
 
 
 /*
diff --git a/sys/platform/pc32/i386/ipl.s b/sys/platform/pc32/i386/ipl.s
index 6c6d06d..e883339 100644
--- a/sys/platform/pc32/i386/ipl.s
+++ b/sys/platform/pc32/i386/ipl.s
@@ -510,4 +510,4 @@ dofastunpend:
 	POP_DUMMY
 	popl	%ebp
 	ret
-
+END(splz)
diff --git a/sys/platform/pc32/i386/spinlock.s b/sys/platform/pc32/i386/spinlock.s
index 00e4dad..ad86956 100644
--- a/sys/platform/pc32/i386/spinlock.s
+++ b/sys/platform/pc32/i386/spinlock.s
@@ -22,7 +22,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/i386/i386/simplelock.s,v 1.11.2.2 2003/02/04 20:55:28 jhb Exp $
- * $DragonFly: src/sys/platform/pc32/i386/spinlock.s,v 1.2 2005/08/28 15:27:05 hsu Exp $
  */
 
 #include <machine/asmacros.h>			/* miscellaneous macros */
@@ -40,21 +39,25 @@ ENTRY(spin_lock_deprecated)
 	movl	4(%esp),%edx
 	SPIN_LOCK((%edx))		/* note: %eax, %ecx tromped */
 	ret
+END(spin_lock_deprecated)
 
 ENTRY(spin_unlock_deprecated)
 	movl	4(%esp),%edx
 	SPIN_UNLOCK((%edx))		/* note: %eax, %ecx tromped */
 	ret
+END(spin_unlock_deprecated)
 
 NON_GPROF_ENTRY(spin_lock_np)
 	movl	4(%esp),%edx
 	SPIN_LOCK((%edx))		/* note: %eax, %ecx tromped */
 	NON_GPROF_RET
+END(spin_lock_np)
 
 NON_GPROF_ENTRY(spin_unlock_np)
 	movl	4(%esp), %edx		/* get the address of the lock */
 	SPIN_UNLOCK((%edx))
 	NON_GPROF_RET
+END(spin_unlock_np)
 
 /*
  * Auxillary convenience routines.  Note that these functions disable and
@@ -63,40 +66,49 @@ NON_GPROF_ENTRY(spin_unlock_np)
 NON_GPROF_ENTRY(imen_lock)
 	SPIN_LOCK(imen_spinlock)
 	NON_GPROF_RET
+END(imen_lock)
 
 NON_GPROF_ENTRY(imen_unlock)
 	SPIN_UNLOCK(imen_spinlock)
 	NON_GPROF_RET
+END(imen_unlock)
 
 NON_GPROF_ENTRY(intr_lock)
 	SPIN_LOCK(intr_spinlock)
 	NON_GPROF_RET
+END(intr_lock)
 
 NON_GPROF_ENTRY(intr_unlock)
 	SPIN_UNLOCK(intr_spinlock)
 	NON_GPROF_RET
+END(intr_unlock)
 
 NON_GPROF_ENTRY(mpintr_lock)
 	SPIN_LOCK(mpintr_spinlock)
 	NON_GPROF_RET
+END(mpintr_lock)
 
 NON_GPROF_ENTRY(mpintr_unlock)
 	SPIN_UNLOCK(mpintr_spinlock)
 	NON_GPROF_RET
+END(mpintr_unlock)
 
 NON_GPROF_ENTRY(clock_lock)
 	SPIN_LOCK(clock_spinlock)
 	NON_GPROF_RET
+END(clock_lock)
 
 NON_GPROF_ENTRY(clock_unlock)
 	SPIN_UNLOCK(clock_spinlock)
 	NON_GPROF_RET
+END(clock_unlock)
 
 NON_GPROF_ENTRY(com_lock)
 	SPIN_LOCK(com_spinlock)
 	NON_GPROF_RET
+END(com_lock)
 
 NON_GPROF_ENTRY(com_unlock)
 	SPIN_UNLOCK(com_spinlock)
 	NON_GPROF_RET
-
+END(com_unlock)
diff --git a/sys/platform/pc32/i386/swtch.s b/sys/platform/pc32/i386/swtch.s
index 7f94879..d3d3eed 100644
--- a/sys/platform/pc32/i386/swtch.s
+++ b/sys/platform/pc32/i386/swtch.s
@@ -66,7 +66,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/i386/i386/swtch.s,v 1.89.2.10 2003/01/23 03:36:24 ps Exp $
- * $DragonFly: src/sys/platform/pc32/i386/swtch.s,v 1.47 2007/06/29 21:54:10 dillon Exp $
  */
 
 #include "use_npx.h"
@@ -214,6 +213,7 @@ ENTRY(cpu_heavy_switch)
 	movl	%eax,PCPU(curthread)
 	movl	TD_SP(%eax),%esp
 	ret
+END(cpu_heavy_switch)
 
 /*
  *  cpu_exit_switch()
@@ -261,6 +261,7 @@ ENTRY(cpu_exit_switch)
 	movl	%eax,PCPU(curthread)
 	movl	TD_SP(%eax),%esp
 	ret
+END(cpu_exit_switch)
 
 /*
  * cpu_heavy_restore()	(current thread in %eax on entry)
@@ -450,6 +451,7 @@ ENTRY(cpu_heavy_restore)
 	movl	%ebx,%eax		/* return previous thread */
 	movl	PCB_EBX(%edx),%ebx
 	ret
+END(cpu_heavy_restore)
 
 /*
  * savectx(pcb)
@@ -511,6 +513,7 @@ ENTRY(savectx)
 
 1:
 	ret
+END(savectx)
 
 /*
  * cpu_idle_restore()	(current thread in %eax on entry) (one-time execution)
@@ -552,6 +555,7 @@ ENTRY(cpu_idle_restore)
 	 */
 	sti
 	jmp	cpu_idle
+END(cpu_idle_restore)
 
 /*
  * cpu_kthread_restore() (current thread is %eax on entry) (one-time execution)
@@ -590,6 +594,7 @@ ENTRY(cpu_kthread_restore)
 	pushl	%eax		/* set exit func as return address */
 	movl	PCB_ESI(%esi),%eax
 	jmp	*%eax
+END(cpu_kthread_restore)
 
 /*
  * cpu_lwkt_switch()
@@ -641,6 +646,7 @@ ENTRY(cpu_lwkt_switch)
 	 * eax contains new thread, ebx contains old thread.
 	 */
 	ret
+END(cpu_lwkt_switch)
 
 /*
  * cpu_lwkt_restore()	(current thread in %eax on entry)
@@ -676,4 +682,4 @@ ENTRY(cpu_lwkt_restore)
 	popl	%ebx
 	popl	%ebp
 	ret
-
+END(cpu_lwkt_restore)
diff --git a/sys/platform/pc32/i386/vm86bios.s b/sys/platform/pc32/i386/vm86bios.s
index e557c96..22bbdd1 100644
--- a/sys/platform/pc32/i386/vm86bios.s
+++ b/sys/platform/pc32/i386/vm86bios.s
@@ -143,6 +143,7 @@ ENTRY(vm86_bioscall)
 	pushl	$0			/* DUMMY CPL FOR DORETI */
 	MEXITCOUNT
 	jmp	doreti
+END(vm86_bioscall)
 
 
 /*
@@ -187,3 +188,4 @@ ENTRY(vm86_biosret)
 	popl	%ebp
 	popl	%ebx
 	ret				/* back to our normal program */
+END(vm86_biosret)
diff --git a/sys/platform/pc32/icu/icu_ipl.s b/sys/platform/pc32/icu/icu_ipl.s
index c6e926c..ae09d52 100644
--- a/sys/platform/pc32/icu/icu_ipl.s
+++ b/sys/platform/pc32/icu/icu_ipl.s
@@ -117,6 +117,7 @@ ENTRY(ICU_INTRDIS)
 	outb	%al,$IO_ICU2+ICU_IMR_OFFSET
 	ICU_IMASK_UNLOCK
 	ret
+END(ICU_INTRDIS)
 
 ENTRY(ICU_INTREN)
 	ICU_IMASK_LOCK
@@ -128,3 +129,4 @@ ENTRY(ICU_INTREN)
 	outb	%al,$IO_ICU2+ICU_IMR_OFFSET
 	ICU_IMASK_UNLOCK
 	ret
+END(ICU_INTREN)
diff --git a/sys/platform/pc64/apic/ioapic_ipl.s b/sys/platform/pc64/apic/ioapic_ipl.s
index 334327a..2792498 100644
--- a/sys/platform/pc64/apic/ioapic_ipl.s
+++ b/sys/platform/pc64/apic/ioapic_ipl.s
@@ -89,6 +89,7 @@ ENTRY(IOAPIC_INTRDIS)
 2:
 	IOAPIC_IMASK_UNLOCK		/* exit critical reg */
 	ret
+END(IOAPIC_INTRDIS)
 
 ENTRY(IOAPIC_INTREN)
 	IOAPIC_IMASK_LOCK		/* enter critical reg */
@@ -106,6 +107,7 @@ ENTRY(IOAPIC_INTREN)
 2:	
 	IOAPIC_IMASK_UNLOCK		/* exit critical reg */
 	ret
+END(IOAPIC_INTREN)
 
 /******************************************************************************
  * 
@@ -118,6 +120,7 @@ ENTRY(ioapic_read)
 	movl	%esi, (%rdi)		/* write the target register index */
 	movl	IOAPIC_WINDOW(%rdi), %eax /* read the IOAPIC register data */
 	ret				/* %eax = register value */
+END(ioapic_read)
 
 /*
  * void ioapic_write(volatile void *ioapic, int select, u_int value);
@@ -126,3 +129,4 @@ ENTRY(ioapic_write)
 	movl	%esi, (%rdi)		/* write the target register index */
 	movl	%edx, IOAPIC_WINDOW(%rdi) /* write the IOAPIC register data */
 	ret				/* %eax = void */
+END(ioapic_write)
diff --git a/sys/platform/pc64/icu/icu_ipl.s b/sys/platform/pc64/icu/icu_ipl.s
index 663edc6..d36e172 100644
--- a/sys/platform/pc64/icu/icu_ipl.s
+++ b/sys/platform/pc64/icu/icu_ipl.s
@@ -67,7 +67,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/i386/isa/icu_ipl.s,v 1.6 1999/08/28 00:44:42 peter Exp $
- * $DragonFly: src/sys/platform/pc64/icu/icu_ipl.s,v 1.1 2008/08/29 17:07:16 dillon Exp $
  */
 
 #include <machine/asmacros.h>
@@ -119,6 +118,7 @@ ENTRY(ICU_INTRDIS)
 	outb	%al,$IO_ICU2+ICU_IMR_OFFSET
 	ICU_IMASK_UNLOCK
 	ret
+END(ICU_INTRDIS)
 
 ENTRY(ICU_INTREN)
 	ICU_IMASK_LOCK
@@ -130,3 +130,4 @@ ENTRY(ICU_INTREN)
 	outb	%al,$IO_ICU2+ICU_IMR_OFFSET
 	ICU_IMASK_UNLOCK
 	ret
+END(ICU_INTREN)
diff --git a/sys/platform/pc64/x86_64/exception.S b/sys/platform/pc64/x86_64/exception.S
index 8377d21..a775b25 100644
--- a/sys/platform/pc64/x86_64/exception.S
+++ b/sys/platform/pc64/x86_64/exception.S
@@ -463,6 +463,7 @@ ENTRY(fork_trampoline)
 	 */
 	MEXITCOUNT
 	jmp	doreti
+END(fork_trampoline)
 
 /*
  * To efficiently implement classification of trap and interrupt handlers
diff --git a/sys/platform/pc64/x86_64/ipl.s b/sys/platform/pc64/x86_64/ipl.s
index ff8f428..92d675f 100644
--- a/sys/platform/pc64/x86_64/ipl.s
+++ b/sys/platform/pc64/x86_64/ipl.s
@@ -505,4 +505,4 @@ dofastunpend:
 	POP_DUMMY
 	popq	%rbp
 	ret
-
+END(splz)
diff --git a/sys/platform/pc64/x86_64/spinlock.s b/sys/platform/pc64/x86_64/spinlock.s
index 2988d6b..55ca0b0 100644
--- a/sys/platform/pc64/x86_64/spinlock.s
+++ b/sys/platform/pc64/x86_64/spinlock.s
@@ -41,21 +41,25 @@ ENTRY(spin_lock_deprecated)
 	movl	4(%esp),%edx
 	SPIN_LOCK((%edx))		/* note: %eax, %ecx tromped */
 	ret
+END(spin_lock_deprecated)
 
 ENTRY(spin_unlock_deprecated)
 	movl	4(%esp),%edx
 	SPIN_UNLOCK((%edx))		/* note: %eax, %ecx tromped */
 	ret
+END(spin_unlock_deprecated)
 
 NON_GPROF_ENTRY(spin_lock_np)
 	movl	4(%esp),%edx
 	SPIN_LOCK((%edx))		/* note: %eax, %ecx tromped */
 	NON_GPROF_RET
+END(spin_lock_np)
 
 NON_GPROF_ENTRY(spin_unlock_np)
 	movl	4(%esp), %edx		/* get the address of the lock */
 	SPIN_UNLOCK((%edx))
 	NON_GPROF_RET
+END(spin_unlock_np)
 
 /*
  * Auxillary convenience routines.  Note that these functions disable and
@@ -64,40 +68,49 @@ NON_GPROF_ENTRY(spin_unlock_np)
 NON_GPROF_ENTRY(imen_lock)
 	SPIN_LOCK(imen_spinlock)
 	NON_GPROF_RET
+END(imen_lock)
 
 NON_GPROF_ENTRY(imen_unlock)
 	SPIN_UNLOCK(imen_spinlock)
 	NON_GPROF_RET
+END(imen_unlock)
 
 NON_GPROF_ENTRY(intr_lock)
 	SPIN_LOCK(intr_spinlock)
 	NON_GPROF_RET
+END(intr_lock)
 
 NON_GPROF_ENTRY(intr_unlock)
 	SPIN_UNLOCK(intr_spinlock)
 	NON_GPROF_RET
+END(intr_unlock)
 
 NON_GPROF_ENTRY(mpintr_lock)
 	SPIN_LOCK(mpintr_spinlock)
 	NON_GPROF_RET
+END(mpintr_lock)
 
 NON_GPROF_ENTRY(mpintr_unlock)
 	SPIN_UNLOCK(mpintr_spinlock)
 	NON_GPROF_RET
+END(mpintr_unlock)
 
 NON_GPROF_ENTRY(clock_lock)
 	SPIN_LOCK(clock_spinlock)
 	NON_GPROF_RET
+END(clock_lock)
 
 NON_GPROF_ENTRY(clock_unlock)
 	SPIN_UNLOCK(clock_spinlock)
 	NON_GPROF_RET
+END(clock_unlock)
 
 NON_GPROF_ENTRY(com_lock)
 	SPIN_LOCK(com_spinlock)
 	NON_GPROF_RET
+END(com_lock)
 
 NON_GPROF_ENTRY(com_unlock)
 	SPIN_UNLOCK(com_spinlock)
 	NON_GPROF_RET
-
+END(com_unlock)
diff --git a/sys/platform/pc64/x86_64/support.s b/sys/platform/pc64/x86_64/support.s
index 3c1b2e7..684bfb3 100644
--- a/sys/platform/pc64/x86_64/support.s
+++ b/sys/platform/pc64/x86_64/support.s
@@ -60,6 +60,7 @@ ENTRY(bzero)
 	rep
 	stosb
 	ret
+END(bzero)
 
 /* Address: %rdi */
 ENTRY(pagezero)
@@ -75,6 +76,7 @@ ENTRY(pagezero)
 	jne	1b
 	sfence
 	ret
+END(pagezero)
 
 ENTRY(bcmp)
 	movq	%rdx,%rcx
@@ -92,6 +94,7 @@ ENTRY(bcmp)
 	setne	%al
 	movsbl	%al,%eax
 	ret
+END(bcmp)
 
 /*
  * bcopy(src, dst, cnt)
@@ -147,6 +150,9 @@ ENTRY(reset_dbregs)
 	movq    %rax,%dr3
 	movq    %rax,%dr6
 	ret
+END(generic_bcopy)
+END(ovbcopy)
+END(bcopy)
 
 /*
  * Note: memcpy does not support overlapping copies
@@ -162,6 +168,7 @@ ENTRY(memcpy)
 	rep
 	movsb
 	ret
+END(memcpy)
 
 /*
  * pagecopy(%rdi=from, %rsi=to)
@@ -188,6 +195,7 @@ ENTRY(pagecopy)
 	jne	2b
 	sfence
 	ret
+END(pagecopy)
 
 /* fillw(pat, base, cnt) */  
 /*       %rdi,%rsi, %rdx */
@@ -199,6 +207,7 @@ ENTRY(fillw)
 	rep
 	stosw
 	ret
+END(fillw)
 
 /*****************************************************************************/
 /* copyout and fubyte family                                                 */
@@ -273,6 +282,7 @@ copyout_fault:
 	movq	$0,PCB_ONFAULT(%rdx)
 	movq	$EFAULT,%rax
 	ret
+END(copyout)
 
 /*
  * copyin(from_user, to_kernel, len) - MP SAFE
@@ -321,6 +331,7 @@ copyin_fault:
 	movq	$0,PCB_ONFAULT(%rdx)
 	movq	$EFAULT,%rax
 	ret
+END(copyin)
 
 /*
  * casuword32.  Compare and set user integer.  Returns -1 or the current value.
@@ -351,6 +362,7 @@ ENTRY(casuword32)
 	movq	TD_PCB(%rcx), %rcx
 	movq	$0,PCB_ONFAULT(%rcx)
 	ret
+END(casuword32)
 
 /*
  * casuword.  Compare and set user word.  Returns -1 or the current value.
@@ -382,6 +394,7 @@ ENTRY(casuword)
 	movq	$fusufault,PCB_ONFAULT(%rcx)
 	movq	$0,PCB_ONFAULT(%rcx)
 	ret
+END(casuword)
 
 /*
  * Fetch (load) a 64-bit word, a 32-bit word, a 16-bit word, or an 8-bit
@@ -402,6 +415,8 @@ ENTRY(fuword)
 	movq	(%rdi),%rax
 	movq	$0,PCB_ONFAULT(%rcx)
 	ret
+END(fuword64)
+END(fuword)
 
 ENTRY(fuword32)
 	movq	PCPU(curthread),%rcx
@@ -415,6 +430,7 @@ ENTRY(fuword32)
 	movl	(%rdi),%eax
 	movq	$0,PCB_ONFAULT(%rcx)
 	ret
+END(fuword32)
 
 /*
  * fuswintr() and suswintr() are specialized variants of fuword16() and
@@ -427,6 +443,8 @@ ALTENTRY(suswintr)
 ENTRY(fuswintr)
 	movq	$-1,%rax
 	ret
+END(suswintr)
+END(fuswintr)
 
 ENTRY(fuword16)
 	movq	PCPU(curthread),%rcx
@@ -440,6 +458,7 @@ ENTRY(fuword16)
 	movzwl	(%rdi),%eax
 	movq	$0,PCB_ONFAULT(%rcx)
 	ret
+END(fuword16)
 
 ENTRY(fubyte)
 	movq	PCPU(curthread),%rcx
@@ -462,6 +481,7 @@ fusufault:
 	movq	%rax,PCB_ONFAULT(%rcx)
 	decq	%rax
 	ret
+END(fubyte)
 
 /*
  * Store a 64-bit word, a 32-bit word, a 16-bit word, or an 8-bit byte to
@@ -484,6 +504,8 @@ ENTRY(suword)
 	movq	TD_PCB(%rcx), %rcx
 	movq	%rax,PCB_ONFAULT(%rcx)
 	ret
+END(suword64)
+END(suword)
 
 ENTRY(suword32)
 	movq	PCPU(curthread),%rcx
@@ -500,6 +522,7 @@ ENTRY(suword32)
 	movq	TD_PCB(%rcx), %rcx
 	movq	%rax,PCB_ONFAULT(%rcx)
 	ret
+END(suword32)
 
 ENTRY(suword16)
 	movq	PCPU(curthread),%rcx
@@ -516,6 +539,7 @@ ENTRY(suword16)
 	movq	TD_PCB(%rcx), %rcx
 	movq	%rax,PCB_ONFAULT(%rcx)
 	ret
+END(suword16)
 
 ENTRY(subyte)
 	movq	PCPU(curthread),%rcx
@@ -533,6 +557,7 @@ ENTRY(subyte)
 	movq	TD_PCB(%rcx), %rcx
 	movq	%rax,PCB_ONFAULT(%rcx)
 	ret
+END(subyte)
 
 /*
  * copyinstr(from, to, maxlen, int *lencopied) - MP SAFE
@@ -603,6 +628,7 @@ cpystrflt_x:
 	movq	%r8,(%r9)
 1:
 	ret
+END(copyinstr)
 
 
 /*
@@ -640,6 +666,7 @@ ENTRY(copystr)
 	movq	%r8,(%rcx)
 7:
 	ret
+END(copystr)
 
 /*
  * Handling of special x86_64 registers and descriptor tables etc
@@ -667,6 +694,7 @@ ENTRY(lgdt)
 	pushq	%rax
 	MEXITCOUNT
 	lretq
+END(lgdt)
 
 /*****************************************************************************/
 /* setjump, longjump                                                         */
@@ -684,6 +712,7 @@ ENTRY(setjmp)
 	movq	%rdx,56(%rdi)			/* save rip */
 	xorl	%eax,%eax			/* return(0); */
 	ret
+END(setjmp)
 
 ENTRY(longjmp)
 	movq	0(%rdi),%rbx			/* restore rbx */
@@ -698,6 +727,7 @@ ENTRY(longjmp)
 	xorl	%eax,%eax			/* return(1); */
 	incl	%eax
 	ret
+END(longjmp)
 
 /*
  * Support for reading MSRs in the safe manner.
@@ -717,6 +747,7 @@ ENTRY(rdmsr_safe)
 	xorq	%rax,%rax
 	movq	%rax,PCB_ONFAULT(%r8)
 	ret
+END(rdmsr_safe)
 
 /*
  * MSR operations fault handler
@@ -747,3 +778,4 @@ NON_GPROF_ENTRY(__bb_init_func)
 	movq	%rax,32(%rdi)
 	movq	%rdi,bbhead
 	NON_GPROF_RET
+END(__bb_init_func)
diff --git a/sys/platform/pc64/x86_64/swtch.s b/sys/platform/pc64/x86_64/swtch.s
index 36d6892..6ba2c20 100644
--- a/sys/platform/pc64/x86_64/swtch.s
+++ b/sys/platform/pc64/x86_64/swtch.s
@@ -221,6 +221,7 @@ ENTRY(cpu_heavy_switch)
 	movq	%rax,PCPU(curthread)
 	movq	TD_SP(%rax),%rsp
 	ret
+END(cpu_heavy_switch)
 
 /*
  *  cpu_exit_switch(struct thread *next)
@@ -269,6 +270,7 @@ ENTRY(cpu_exit_switch)
 	movq	%rax,PCPU(curthread)
 	movq	TD_SP(%rax),%rsp
 	ret
+END(cpu_exit_switch)
 
 /*
  * cpu_heavy_restore()	(current thread in %rax on entry)
@@ -499,6 +501,7 @@ ENTRY(cpu_heavy_restore)
 	movq	%rbx,%rax
 	movq	PCB_RBX(%rdx),%rbx
 	ret
+END(cpu_heavy_restore)
 
 /*
  * savectx(struct pcb *pcb)
@@ -561,6 +564,7 @@ ENTRY(savectx)
 
 1:
 	ret
+END(savectx)
 
 /*
  * cpu_idle_restore()	(current thread in %rax on entry) (one-time execution)
@@ -604,6 +608,7 @@ ENTRY(cpu_idle_restore)
 	 */
 	sti
 	jmp	cpu_idle
+END(cpu_idle_restore)
 
 /*
  * cpu_kthread_restore() (current thread is %rax on entry) (one-time execution)
@@ -647,6 +652,7 @@ ENTRY(cpu_kthread_restore)
 	movq	PCB_RBX(%r13),%rax	/* thread function */
 	/* note: top of stack return address inherited by function */
 	jmp	*%rax
+END(cpu_kthread_restore)
 
 /*
  * cpu_lwkt_switch(struct thread *)
@@ -698,6 +704,7 @@ ENTRY(cpu_lwkt_switch)
 	 * %rax contains new thread, %rbx contains old thread.
 	 */
 	ret
+END(cpu_lwkt_switch)
 
 /*
  * cpu_lwkt_restore()	(current thread in %rax on entry)
@@ -735,3 +742,4 @@ ENTRY(cpu_lwkt_restore)
 	popq	%rbx
 	popq	%rbp
 	ret
+END(cpu_lwkt_restore)
diff --git a/sys/platform/vkernel/i386/fork_tramp.s b/sys/platform/vkernel/i386/fork_tramp.s
index a21a7a9..640bf87 100644
--- a/sys/platform/vkernel/i386/fork_tramp.s
+++ b/sys/platform/vkernel/i386/fork_tramp.s
@@ -99,5 +99,4 @@ ENTRY(fork_trampoline)
 	pushl	%esp		/* pass by reference */
 	call	go_user
 	/* NOT REACHED */
-
-
+END(fork_trampoline)
diff --git a/sys/platform/vkernel/i386/locore.s b/sys/platform/vkernel/i386/locore.s
index 4b3c30d..198039b 100644
--- a/sys/platform/vkernel/i386/locore.s
+++ b/sys/platform/vkernel/i386/locore.s
@@ -77,6 +77,7 @@ NON_GPROF_ENTRY(sigcode)
 	pushl	%eax				/* junk to fake return addr. */
 	int	$0x80				/* enter kernel with args */
 0:	jmp	0b
+END(sigcode)
 
 	ALIGN_TEXT
 esigcode:
@@ -91,6 +92,7 @@ ENTRY(reset_dbregs)
         movl    %eax,%dr3
         movl    %eax,%dr6
         ret
+END(reset_dbregs)
 
 	.data
 	.globl	szsigcode
diff --git a/sys/platform/vkernel/i386/swtch.s b/sys/platform/vkernel/i386/swtch.s
index 4c853d7..4c9abf8 100644
--- a/sys/platform/vkernel/i386/swtch.s
+++ b/sys/platform/vkernel/i386/swtch.s
@@ -196,6 +196,7 @@ ENTRY(cpu_heavy_switch)
 	movl	%eax,PCPU(curthread)
 	movl	TD_SP(%eax),%esp
 	ret
+END(cpu_heavy_switch)
 
 /*
  *  cpu_exit_switch()
@@ -245,6 +246,7 @@ ENTRY(cpu_exit_switch)
 	movl	%eax,PCPU(curthread)
 	movl	TD_SP(%eax),%esp
 	ret
+END(cpu_exit_switch)
 
 /*
  * cpu_heavy_restore()	(current thread in %eax on entry)
@@ -421,6 +423,7 @@ ENTRY(cpu_heavy_restore)
 	movl	%ebx,%eax		/* return previous thread */
 	movl	PCB_EBX(%edx),%ebx
 	ret
+END(cpu_heavy_restore)
 
 /*
  * savectx(pcb)
@@ -478,6 +481,7 @@ ENTRY(savectx)
 
 1:
 	ret
+END(savectx)
 
 /*
  * cpu_idle_restore()	(current thread in %eax on entry) (one-time execution)
@@ -513,6 +517,7 @@ ENTRY(cpu_idle_restore)
 #endif
 	/* sti */
 	jmp	cpu_idle
+END(cpu_idle_restore)
 
 /*
  * cpu_kthread_restore() (current thread is %eax on entry) (one-time execution)
@@ -549,6 +554,7 @@ ENTRY(cpu_kthread_restore)
 	pushl	%eax		/* set exit func as return address */
 	movl	PCB_ESI(%esi),%eax
 	jmp	*%eax
+END(cpu_kthread_restore)
 
 /*
  * cpu_lwkt_switch()
@@ -600,6 +606,7 @@ ENTRY(cpu_lwkt_switch)
 	 * eax contains new thread, ebx contains old thread.
 	 */
 	ret
+END(cpu_lwkt_switch)
 
 /*
  * cpu_lwkt_restore()	(current thread in %eax on entry)
@@ -625,6 +632,7 @@ ENTRY(cpu_lwkt_restore)
 	popl	%ebx
 	popl	%ebp
 	ret
+END(cpu_lwkt_restore)
 
 /*
  * bootstrap_idle()
@@ -636,3 +644,4 @@ ENTRY(bootstrap_idle)
 	movl	%eax,%ebx
 	movl	TD_SP(%eax),%esp
 	ret
+END(bootstrap_idle)
diff --git a/sys/platform/vkernel64/x86_64/fork_tramp.s b/sys/platform/vkernel64/x86_64/fork_tramp.s
index 05e46a2..af27d3c 100644
--- a/sys/platform/vkernel64/x86_64/fork_tramp.s
+++ b/sys/platform/vkernel64/x86_64/fork_tramp.s
@@ -100,3 +100,4 @@ ENTRY(fork_trampoline)
 	movq	%rsp,%rdi	/* pass by reference */
 	call	go_user
 	/* NOT REACHED */
+END(fork_trampoline)
diff --git a/sys/platform/vkernel64/x86_64/locore.s b/sys/platform/vkernel64/x86_64/locore.s
index 4bb63e9..c502978 100644
--- a/sys/platform/vkernel64/x86_64/locore.s
+++ b/sys/platform/vkernel64/x86_64/locore.s
@@ -30,8 +30,6 @@
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $DragonFly: src/sys/platform/vkernel/i386/locore.s,v 1.6 2007/01/08 03:33:43 dillon Exp $
  */
 
 #include <sys/syscall.h>
@@ -69,6 +67,7 @@ NON_GPROF_ENTRY(sigcode)
 	syscall				/* enter kernel with args */
 0:	hlt				/* trap priviliged instruction */
 	jmp	0b
+END(sigcode)
 
 	ALIGN_TEXT
 esigcode:
@@ -84,6 +83,7 @@ ENTRY(reset_dbregs)
 	movq    %rax,%dr3
 	movq    %rax,%dr6
 	ret
+END(reset_dbregs)
 
 	.data
 	.globl	szsigcode
diff --git a/sys/platform/vkernel64/x86_64/swtch.s b/sys/platform/vkernel64/x86_64/swtch.s
index e74b675..a2abc1a 100644
--- a/sys/platform/vkernel64/x86_64/swtch.s
+++ b/sys/platform/vkernel64/x86_64/swtch.s
@@ -205,6 +205,7 @@ ENTRY(cpu_heavy_switch)
 	movq	TD_SP(%rax),%rsp
 	CHECKNZ((%rsp), %r9)
 	ret
+END(cpu_heavy_switch)
 
 /*
  *  cpu_exit_switch(struct thread *next)
@@ -256,6 +257,7 @@ ENTRY(cpu_exit_switch)
 	movq	TD_SP(%rax),%rsp
 	CHECKNZ((%rsp), %r9)
 	ret
+END(cpu_exit_switch)
 
 /*
  * cpu_heavy_restore()	(current thread in %rax on entry)
@@ -476,6 +478,7 @@ ENTRY(cpu_heavy_restore)
 
 	CHECKNZ((%rsp), %r9)
 	ret
+END(cpu_heavy_restore)
 
 /*
  * savectx(struct pcb *pcb)
@@ -535,6 +538,7 @@ ENTRY(savectx)
 1:
 	CHECKNZ((%rsp), %r9)
 	ret
+END(savectx)
 
 /*
  * cpu_idle_restore()	(current thread in %rax on entry) (one-time execution)
@@ -572,6 +576,7 @@ ENTRY(cpu_idle_restore)
 #endif
 	/* sti */
 	jmp	cpu_idle
+END(cpu_idle_restore)
 
 /*
  * cpu_kthread_restore() (current thread is %rax on entry) (one-time execution)
@@ -613,6 +618,7 @@ ENTRY(cpu_kthread_restore)
 	/* note: top of stack return address inherited by function */
 	CHECKNZ(%rax, %r9)
 	jmp	*%rax
+END(cpu_kthread_restore)
 
 /*
  * cpu_lwkt_switch(struct thread *)
@@ -668,6 +674,7 @@ ENTRY(cpu_lwkt_switch)
 	 */
 	CHECKNZ((%rsp), %r9)
 	ret
+END(cpu_lwkt_switch)
 
 /*
  * cpu_lwkt_restore()	(current thread in %rax on entry)
@@ -695,6 +702,7 @@ ENTRY(cpu_lwkt_restore)
 	popq	%rbx
 	popq	%rbp
 	ret
+END(cpu_lwkt_restore)
 
 /*
  * bootstrap_idle()
@@ -706,3 +714,4 @@ ENTRY(bootstrap_idle)
 	movq	%rax,%rbx
 	movq	TD_SP(%rax),%rsp
 	ret
+ENTRY(bootstrap_idle)
